package com.productiontest.common.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 读取项目相关配置
 *
 * @author ruoyi
 */
@Component
@ConfigurationProperties(prefix = "ruoyi")
public class RuoYiConfig {
    /**
     * 项目名称
     */
    private String name;

    /**
     * 版本
     */
    private String version;

    /**
     * 版权年份
     */
    private String copyrightYear;

    /**
     * 实例演示开关
     */
    private boolean demoEnabled;

    /**
     * 上传路径
     */
    private static String profile;

    /**
     * 获取地址开关
     */
    private static boolean addressEnabled;

    /**
     * 验证码类型
     */
    private static String captchaType;

    /**
     * 公网IP
     */
    private static String addressIp;

    /**
     * 百度 IP
     */
    private static String pingIp;

    /**
     * 企业id
     */
    private static String deptId;

    /**
     * nginx 文件地址
     */
    private static String nginxFile;

    /**
     * 平台端地址
     */
    private static  String sdkIp;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getCopyrightYear() {
        return copyrightYear;
    }

    public void setCopyrightYear(String copyrightYear) {
        this.copyrightYear = copyrightYear;
    }

    public boolean isDemoEnabled() {
        return demoEnabled;
    }

    public void setDemoEnabled(boolean demoEnabled) {
        this.demoEnabled = demoEnabled;
    }

    public static String getProfile() {
        return profile;
    }

    public void setProfile(String profile) {
        RuoYiConfig.profile = profile;
    }

    public static boolean isAddressEnabled() {
        return addressEnabled;
    }

    public void setAddressEnabled(boolean addressEnabled) {
        RuoYiConfig.addressEnabled = addressEnabled;
    }

    public static String getCaptchaType() {
        return captchaType;
    }

    public void setCaptchaType(String captchaType) {
        RuoYiConfig.captchaType = captchaType;
    }

    public static String getAddressIp() {
        return addressIp;
    }

    public void setAddressIp(String addressIp) {
        RuoYiConfig.addressIp = addressIp;
    }

    public static String getPingIp() {
        return pingIp;
    }

    public void setPingIp(String pingIp) {
        RuoYiConfig.pingIp = pingIp;
    }

    public static String getDeptId() {
        return deptId;
    }

    public  void setDeptId(String deptId) {
        RuoYiConfig.deptId = deptId;
    }

    public static String getNginxFile() {
        return nginxFile;
    }

    public void setNginxFile(String nginxFile) {
        RuoYiConfig.nginxFile = nginxFile;
    }

    public static String getSdkIp() {
        return sdkIp;
    }

    public  void setSdkIp(String sdkIp) {
        RuoYiConfig.sdkIp = sdkIp;
    }

    /**
     * 获取导入上传路径
     */
    public static String getImportPath() {
        return getProfile() + "/import";
    }

    /**
     * 获取头像上传路径
     */
    public static String getAvatarPath() {
        return getProfile() + "/avatar";
    }

    /**
     * 获取下载路径
     */
    public static String getDownloadPath() {
        return getProfile() + "/download/";
    }

    /**
     * 获取上传路径
     */
    public static String getUploadPath() {
        return getProfile() + "/upload/";
    }
}
