package com.productiontest.controller;

import com.productiontest.common.core.domain.AjaxResult;
import com.productiontest.service.IOssService;
import com.productiontest.system.domain.SysConfig;
import com.productiontest.system.mapper.SysConfigMapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

@RestController
@RequestMapping("/common")
@Api(value = "http通用请求处理", tags = "http通用请求处理")
public class OssController {

    @Autowired
    private IOssService IOssService;
    @Autowired
    private SysConfigMapper sysConfigMapper;

    @PostMapping("/upload")
    @ApiOperation(value = "通用上传请求", notes = "通用上传请求", produces = "application/json")
    @ApiImplicitParams({@ApiImplicitParam(name = "file", value = "文件流", required = false),
    })
    public AjaxResult uploadFile(@RequestParam(value = "file") @RequestPart MultipartFile file) throws Exception {
        return IOssService.uploadFiles(file);
    }

    @PostMapping("/uploadResource")
    public AjaxResult uploadResource(@RequestParam(value = "file") @RequestPart MultipartFile file) throws Exception {
        return IOssService.uploadResource(file);
    }


    @GetMapping("/update/lastest")
    public void lastest(HttpServletResponse response) {

        SysConfig c = sysConfigMapper.checkConfigKeyUnique("production_test_down_url");

        if (c != null) {

            try {
                response.sendRedirect(c.getConfigValue());
            } catch (IOException e) {
                throw new RuntimeException(e);
            }

            return;
        }

        try {
            ServletOutputStream out = response.getOutputStream();
            response.setStatus(404);
            out.print("Not Found.");
            out.flush();
            out.close();
        } catch (IOException e) {
            e.printStackTrace();
        }

    }


}
