package com.productiontest.controller;

import com.productiontest.common.core.controller.BaseController;
import com.productiontest.common.core.domain.AjaxResult;
import com.productiontest.service.SynchronizationDataService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@RestController
@RequestMapping("/synchronizationData/v1")
public class SynchronizationDataController extends BaseController {

    @Autowired
    private SynchronizationDataService synchronizationDataService;

    /**
     * 数据同步
     *
     * @return
     */
    @PostMapping("pushData")
    public Map<String, Object> pushData(@RequestBody Map<String, Object> paramMap) {
        return synchronizationDataService.pushData(paramMap);
    }

    @PostMapping("updateData")
    public Map<String, Object> updateData(@RequestBody Map<String, Object> paramMap) {
        return synchronizationDataService.updateData(paramMap);
    }


}
