package com.productiontest.domain;

import com.productiontest.common.annotation.Excel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 老化任务对象 aging_task
 *
 * @author cf
 * @date 2023-02-15
 */
@Getter
@Setter
@ToString
public class AgingTask {

    /**
     * 主键id
     */
    private String id;

    /**
     * 任务名称
     */
    @Excel(name = "任务名称")
    @ApiModelProperty("任务名称")
    private String taskName;

    /**
     * 开始时间
     */
    @Excel(name = "开始时间")
    @ApiModelProperty("开始时间")
    private String beginTime;

    /**
     * 结束时间
     */
    @Excel(name = "结束时间")
    @ApiModelProperty("结束时间")
    private String endTime;


    /**
     * 任务状态
     */
    @Excel(name = "任务状态")
    @ApiModelProperty("任务状态  0 未开始 1进行中 2 已结束 3 已取消")
    private Long taskStatus;



    @Excel(name = "设备数量")
    @ApiModelProperty("设备数量")
    private Integer equipmentNumber;

    @Excel(name = "所属企业")
    @ApiModelProperty("所属企业")
    private Long deptId;


    @Excel(name = "创建时间")
    @ApiModelProperty("创建时间")
    private String createTime;

    //推送状态
    private String pushStatus;

    @ApiModelProperty("设备文件")
    private String deviceFile;
}
