package com.productiontest.domain;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class ConfigUtil {

    private String key;
    private String keyName;
    private String value;
    private String valueName;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getKeyName() {
        return keyName;
    }

    public void setKeyName(String keyName) {
        this.keyName = keyName;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getValueName() {
        return valueName;
    }

    public void setValueName(String valueName) {
        this.valueName = valueName;
    }

    @Override
    public String toString() {

        String dValue = value;

        if (null != valueName && !valueName.isEmpty()) {
            dValue = valueName + "(" + value + ")";
        }

        return keyName + ":" + dValue;

    }

    public String buildConfig(String hwCfgJson, String hwTemplate){

        List<ConfigUtil> list=new ArrayList<>();
        JSONObject cObject = JSONUtil.parseObj(hwCfgJson);
        JSONObject tObject = JSONUtil.parseObj(hwTemplate);

        String provider = cObject.getStr("provider");
        String providerName = tObject.getStr("providerName");

        JSONArray itemList = tObject.getJSONArray("itemList");

        for (int i = 0; i < itemList.size(); i++) {

            ConfigUtil itemInfo = new ConfigUtil();

            JSONObject itemObject = itemList.getJSONObject(i);

            itemInfo.setKey(itemObject.getStr("key"));
            itemInfo.setKeyName(itemObject.getStr("keyName"));
            itemInfo.setValue(cObject.getStr(itemInfo.getKey()));

            if (itemObject.getStr("valueType").equals("0")) {

                JSONArray valueList = itemObject.getJSONArray("valueArray");

                for (int j = 0; j <valueList.size(); j++) {

                    if (valueList.getJSONObject(j).getStr("value").equals(itemInfo.getValue())) {
                        itemInfo.setValueName(valueList.getJSONObject(j).getStr("valueName"));
                        break;
                    }

                }

            }

            list.add(itemInfo);
        }
        ConfigUtil st = new ConfigUtil();
        st.setKey("provider");
        st.setKeyName(providerName);
        st.setValue(provider);
        list.add(st);
        return  JSONUtil.toJsonStr(list);
    }




    public static void main(String[] args) {

        String hwCfgJson = "{\"provider\":\"101\",\"ptzAbility\":\"1\",\"ptzHRotation\":\"1\",\"ptzVRotation\":\"1\",\"csd\":\"2\",\"picDet\":\"2\",\"powCtrl\":\"2\",\"irLed\":\"2\",\"irCut\":\"2\",\"lamp\":\"1\",\"bwSwitchLowThreshold\":\"0\",\"bwSwitchHighThreshold\":\"23\",\"ptzHMaxStep\":\"3\",\"ptzVMaxStep\":\"34\",\"ptzHMaxSpeed\":\"1\",\"ptzVMaxSpeed\":\"4\"}";
        String hwTemplate = "{\"itemList\":[{\"key\":\"ptzAbility\",\"keyName\":\"云台\",\"maxValue\":\"\",\"minValue\":\"\",\"valueType\":\"0\",\"valueArray\":[{\"value\":\"0\",\"valueName\":\"未定义\"},{\"value\":\"1\",\"valueName\":\"有云台\"},{\"value\":\"2\",\"valueName\":\"无云台\"},{\"value\":\"3\",\"valueName\":\"有云台+不自检\"}]},{\"key\":\"ptzHRotation\",\"keyName\":\"水平方向云台\",\"maxValue\":\"\",\"minValue\":\"\",\"valueType\":\"0\",\"valueArray\":[{\"value\":\"0\",\"valueName\":\"未定义\"},{\"value\":\"1\",\"valueName\":\"正转\"},{\"value\":\"2\",\"valueName\":\"反转\"}]},{\"key\":\"ptzVRotation\",\"keyName\":\"垂直方向云台\",\"maxValue\":\"\",\"minValue\":\"\",\"valueType\":\"0\",\"valueArray\":[{\"value\":\"0\",\"valueName\":\"未定义\"},{\"value\":\"1\",\"valueName\":\"正转\"},{\"value\":\"2\",\"valueName\":\"反转\"}]},{\"key\":\"csd\",\"keyName\":\"CDS\",\"maxValue\":\"\",\"minValue\":\"\",\"valueType\":\"0\",\"valueArray\":[{\"value\":\"0\",\"valueName\":\"未定义\"},{\"value\":\"1\",\"valueName\":\"ADC=白天\"},{\"value\":\"2\",\"valueName\":\"ADC低=白天\"},{\"value\":\"3\",\"valueName\":\"GPIO高=白天\"},{\"value\":\"4\",\"valueName\":\"GPIO低=白天\"},{\"value\":\"5\",\"valueName\":\"ISP获取\"}]},{\"key\":\"picDet\",\"keyName\":\"图像\",\"maxValue\":\"\",\"minValue\":\"\",\"valueType\":\"0\",\"valueArray\":[{\"value\":\"0\",\"valueName\":\"未定义\"},{\"value\":\"1\",\"valueName\":\"正像\"},{\"value\":\"2\",\"valueName\":\"倒置\"}]},{\"key\":\"powCtrl\",\"keyName\":\"功放控制\",\"maxValue\":\"\",\"minValue\":\"\",\"valueType\":\"0\",\"valueArray\":[{\"value\":\"0\",\"valueName\":\"未定义\"},{\"value\":\"1\",\"valueName\":\"高有效\"},{\"value\":\"2\",\"valueName\":\"低有效\"}]},{\"key\":\"irLed\",\"keyName\":\"IR_LED\",\"maxValue\":\"\",\"minValue\":\"\",\"valueType\":\"0\",\"valueArray\":[{\"value\":\"0\",\"valueName\":\"未定义\"},{\"value\":\"1\",\"valueName\":\"高有效\"},{\"value\":\"2\",\"valueName\":\"低有效\"}]},{\"key\":\"irCut\",\"keyName\":\"IR_CUT\",\"maxValue\":\"\",\"minValue\":\"\",\"valueType\":\"0\",\"valueArray\":[{\"value\":\"0\",\"valueName\":\"未定义\"},{\"value\":\"1\",\"valueName\":\"正常\"},{\"value\":\"2\",\"valueName\":\"反向\"}]},{\"key\":\"lamp\",\"keyName\":\"白光灯\",\"maxValue\":\"\",\"minValue\":\"\",\"valueType\":\"0\",\"valueArray\":[{\"value\":\"0\",\"valueName\":\"未定义\"},{\"value\":\"1\",\"valueName\":\"高有效\"},{\"value\":\"2\",\"valueName\":\"低有效\"}]},{\"key\":\"bwSwitchLowThreshold\",\"keyName\":\"黑白切换低阈值\",\"maxValue\":\"4096\",\"minValue\":\"0\",\"valueType\":\"1\",\"valueArray\":[]},{\"key\":\"bwSwitchHighThreshold\",\"keyName\":\"黑白切换高阈值\",\"maxValue\":\"4096\",\"minValue\":\"0\",\"valueType\":\"1\",\"valueArray\":[]},{\"key\":\"ptzHMaxStep\",\"keyName\":\"云台水平最大步数\",\"maxValue\":\"4096\",\"minValue\":\"0\",\"valueType\":\"1\",\"valueArray\":[]},{\"key\":\"ptzVMaxStep\",\"keyName\":\"云台垂直最大步数\",\"maxValue\":\"4096\",\"minValue\":\"0\",\"valueType\":\"1\",\"valueArray\":[]},{\"key\":\"ptzHMaxSpeed\",\"keyName\":\"水平云台速度\",\"maxValue\":\"9\",\"minValue\":\"0\",\"valueType\":\"1\",\"valueArray\":[]},{\"key\":\"ptzVMaxSpeed\",\"keyName\":\"垂直云台速度\",\"maxValue\":\"9\",\"minValue\":\"0\",\"valueType\":\"1\",\"valueArray\":[]}],\"provider\":\"101\",\"providerName\":\"朗通\"}";

        JSONObject cObject = JSONUtil.parseObj(hwCfgJson);
        JSONObject tObject = JSONUtil.parseObj(hwTemplate);

        String provider = cObject.getStr("provider");

        JSONArray itemList = tObject.getJSONArray("itemList");

        for (int i = 0; i < itemList.size(); i++) {

            ConfigUtil itemInfo = new ConfigUtil();

            JSONObject itemObject = itemList.getJSONObject(i);

            itemInfo.setKey(itemObject.getStr("key"));
            itemInfo.setKeyName(itemObject.getStr("keyName"));
            itemInfo.setValue(cObject.getStr(itemInfo.getKey()));

            if (itemObject.getStr("valueType").equals("0")) {

                JSONArray valueList = itemObject.getJSONArray("valueArray");

                for (int j = 0; j <valueList.size(); j++) {

                    if (valueList.getJSONObject(j).getStr("value").equals(itemInfo.getValue())) {
                        itemInfo.setValueName(valueList.getJSONObject(j).getStr("valueName"));
                        break;
                    }

                }

            }

            System.out.println(itemInfo.toString());

        }


    }

}
