package com.productiontest.domain;

import com.productiontest.common.annotation.Excel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 生产库存-测试记录对象 inventory_test_record
 *
 * @author cf
 * @date 2023-02-16
 */
@Getter
@Setter
@ToString
public class InventoryTestRecord {

    /**
     * 主键id
     */
    private String id;

    /**
     * 测试账号
     */

    @ApiModelProperty("测试账号")
    private String testUser;

    /**
     * 开始测试时间
     */

    @ApiModelProperty("开始测试时间")
    private String beginTime;

    /**
     * 结束测试时间
     */

    @ApiModelProperty("结束测试时间")
    private String endTime;


    /**
     * production_inventory主键id
     */
    @ApiModelProperty("production_inventory主键id")
    private String productionInventoryId;

    @Excel(name = "生产ID")
    private String deviceSn;// 设备id
    @Excel(name = "设备license")
    private String cetl;// license

    @Excel(name = "生产工单")
    private String workOrderId;// 工单id
    private String testResult;// 测试结果 0 未通过 1通过
    private String spendTime;// 测试时间
    private String itemJson;// 测试项json
    @Excel(name = "测试结果")
    private String testResultName;
    @Excel(name = "出入库状态")
    private String inventoryStatusName;
    @Excel(name = "出库时间")
    private String warehousingTime;
    @Excel(name = "入库时间")
    private String deliveryTime;
    @Excel(name = "生产订单/订单号")
    private String orderDetail;

    @ApiModelProperty("库存状态 0 库存中 1已出库")
    private Long inventoryStatus;

    @ApiModelProperty("Base64方式传输")
    private String firmwareAuthId;

    private Long deptId;
    private String productOrder;
    private String mark;
    private String pushStatus;
}
