package com.productiontest.domain;

import com.productiontest.common.annotation.Excel;
import com.productiontest.common.core.domain.BaseEntity;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

/**
 * 导入license数据对象 license_data
 *
 * @author cf
 * @date 2023-02-17
 */
@Getter
@Setter
@ToString
//@Api(tags = "license",value = "license")
public class LicenseData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

    /**
     * license号
     */
    @Excel(name = "license号")
    @ApiModelProperty("平台license")
    private String license;

    //申请状态
    private String status;

    @Excel(name = "申请状态")
    private String statusName;

    //烧录状态
    private String burnStatus;

    @Excel(name = "烧录状态")
    private String burnStatusName;

    @Excel(name = "第三方授权")
    @ApiModelProperty("第三方授权")
    private String thirdParty;

    private String mark;

    @ApiModelProperty("授权查询")
    private String authValue;

    private Long deptId;

    private String pushStatus;

    private String del;

    @Excel(name = "计划ID")
    private String orderId;

    @Excel(name = "工单ID")
    private String workorderId;

    @Excel(name = "申请时间")
    private Date reqTime;

    @Excel(name = "烧录时间")
    private Date burnTime;
}
