package com.productiontest.domain;

import com.productiontest.common.annotation.Excel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 生产库存-pcba和整机对象 production_inventory
 * 
 * @author cf
 * @date 2023-02-16
 */
@Getter
@Setter
@ToString
public class ProductionInventory {

	/** 主键id */
	private String id;

	/** 设备license */
	@Excel(name = "设备license")
	@ApiModelProperty("设备license")
	private String equipmentLicense;

	/** 生产ID */
	@Excel(name = "生产ID")
	@ApiModelProperty("生产ID")
	private String productionId;

	/** 生产订单/订单号 */
	@Excel(name = "生产订单/订单号")
	@ApiModelProperty("生产订单/订单号")
	private String orderName;

	private String orderNo;

	
	/** pcba生产工单 */
	@Excel(name = "pcba生产工单")
	@ApiModelProperty("pcba生产工单id")
	private String pcbaWorkorder;

	/** 入库时间 */
	@Excel(name = "入库时间")
	@ApiModelProperty("入库时间")
	private String deliveryTime;

	@Excel(name = "出库时间")
	@ApiModelProperty("出库时间")
	private String warehousingTime;

	/** 测试结果 */
	@Excel(name = "测试结果")
	private String testResultName;

	@ApiModelProperty("测试结果 0 通过 1 未通过")
	private String testResult;

	/** 出入库状态 */
	@Excel(name = "出入库状态")
	private String goOutStatusName;

	@ApiModelProperty("出入库状态 0 库存中 1 已出库")
	private Long goOutStatus;

	/** 应用状态 */
	@Excel(name = "应用状态")
	private String applicationStateName;

	@ApiModelProperty("应用状态 0 未应用 1 应用到整机")
	private Long applicationState;

	@Excel(name = "appID")
	@ApiModelProperty("appID")
	private String appId;
	
	
	/** 企业id */
//	@Excel(name = "企业id")
	private String companyId;

	private Long deptId;

	@ApiModelProperty("库存类型  0 pcba 1 整机")
	private Long inventoryType;

	@ApiModelProperty("累计生产设备")
	private Long accumulativeAount;
	@ApiModelProperty("待生产设备")
	private Long PendingproductionAccount;
	@ApiModelProperty("当前库存")
	private Long inventoryAccount;
	@ApiModelProperty("已出库")
	private Long warehousingAccount;
	@ApiModelProperty("应用到整机")
	private Long appMachineAccount;
	@ApiModelProperty("测试不通过")
	private Long testResultAccount;

	private String pushStatus;
	
}
