package com.productiontest.domain;

import com.productiontest.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;

/**
 * 订单管理对象 production_order
 *
 * @author cf
 * @date 2023-02-13
 */
@Getter
@Setter
@ToString
public class ProductionOrder {

    /**
     * 主键id
     */
    private String id;

    /**
     * 订单名称
     */
    @Excel(name = "订单名称")
    @ApiModelProperty(value = "订单名称")
    private String orderName;

    /**
     * 产品名称
     */
    @Excel(name = "产品名称")
    @ApiModelProperty(value = "产品名称")
    private String productName;

    @Excel(name = "订单编号")
    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    /**
     * 企业名称
     */
    @Excel(name = "企业名称")
    @ApiModelProperty(value = "企业名称")
    private String company;

    /**
     * 产品通讯方式
     */
    @Excel(name = "产品通讯方式")
    @ApiModelProperty(value = "产品通讯方式")
    private String communicationMode;

    /**
     * license文件
     */
    @ApiModelProperty(value = "license文件")
    private String licenseFile;

    /**
     * 上传固件
     */
    @ApiModelProperty(value = "固件文件")
    private String romFile;

    /**
     * 标签模板id
     */
    @ApiModelProperty(value = "标签模板")
    private String templateName;

    private String templateId;

    /**
     * 生产数量
     */
    @Excel(name = "生产数量")
    @ApiModelProperty(value = "生产数量")
    private Long productionQuantity;

    /**
     * 交货日期
     */
    @Excel(name = "交货日期")
    @ApiModelProperty(value = "交货日期")
    private String deliveryTime;

    @Excel(name = "创建时间")
    @ApiModelProperty(value = "创建时间")
    private String createTime;

    /**
     * 附件
     */
    @ApiModelProperty(value = "附件")
    private String accessory;

    /**
     * 测试项
     */
//	@Excel(name = "测试项")
    @ApiModelProperty(value = "测试项 1,2,3,4")
    private String testItem;

    @ApiModelProperty(value = "订单状态 0、1、2、3、4")
    private Long orderStatus;

    @Excel(name = "订单状态")
    private String orderStatusName;

    @Excel(name = "备注")
    @ApiModelProperty(value = "备注")
    private String remark;

    @Excel(name = "生产进度")
    @ApiModelProperty(value = "生产进度")
    private Long productionProgress;

    @Excel(name = "企业id")
    @ApiModelProperty("企业id")
    private String companyId;

    @Excel(name = "appID")
    @ApiModelProperty("appID")
    private String appId;

    @Excel(name = "固件版本")
    @ApiModelProperty("固件版本")
    private String firmwareVersion;

    private List<String> testItemList;


    @Excel(name = "所属企业")
    @ApiModelProperty("所属企业")
    private Long deptId;

    //交付进度
    private String result;

    @ApiModelProperty("上传license 对应id")
    private String mark;

    private String communicationModeName;
    //签名
    private String sign;

    //烧录第三方授权
    @ApiModelProperty("烧录第三方授权")
    private Long burnAuth;

    //第三方授权文件
    @ApiModelProperty("第三方授权文件")
    private String thirdPartyFile;

    //设备配置
    @ApiModelProperty("设备配置")
    private String deviceConfigFile;

    @ApiModelProperty("设备配置MD5")
    private String deviceConfigMd;

    @ApiModelProperty("授权剩余")
    private String accreditRemaining;

    @ApiModelProperty("可用授权")
    private Integer usableAuth = 0;
    @ApiModelProperty("是否是4G")
    private Boolean isFour;

    private String pushStatus;
    //授权总量
    private String licenseTotalNum;

    private String del;

    @ApiModelProperty("license生成规则")
    private String licenseRule;

    @ApiModelProperty("配置参数")
    private String argumentConfig;

    private String argumentConfigLabel;

    @ApiModelProperty("已生产数量")
    private Integer finishCount = 0;

    private Integer workordernum = 0;
}
