package com.productiontest.domain;

import com.productiontest.common.annotation.Excel;
import com.productiontest.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 产测人员管理对象 production_test_user
 * 
 * @author cf
 * @date 2023-02-14
 */
@Getter
@Setter
@ToString
public class ProductionTestUser extends BaseEntity {
	
	private static final long serialVersionUID = 1L;

	/** 主键id */
	private String id;



	/** 人员账号 */
	@Excel(name = "人员账号")
	@ApiModelProperty("人员账号")
	private String userName;

	/** 账号密码 */
	@Excel(name = "账号密码")
	@ApiModelProperty("账号密码")
	private String password;

	/** 人员名称 */
	@Excel(name = "人员名称")
	@ApiModelProperty("人员名称")
	private String nickName;

	/** 手机号 */
	@Excel(name = "手机号")
	@ApiModelProperty("手机号")
	private String phonenumber;

	/** 人员状态 0启用 1禁用 */
	@Excel(name = "人员状态")
	@ApiModelProperty("人员状态")
	private String status;

	private String statusName;

	/** 企业id */
	private Long deptId;

	@ApiModelProperty("文件路径")
	private String filePath;

	private String userId;
	private String url;
	private String httpUrl;
	private String name;
	private String fileName;

	private String pushStatus;

	private String del;

	@ApiModelProperty("4G卡数量")
	private String fourCardCount;
}
