package com.productiontest.domain;

import com.productiontest.common.annotation.Excel;
import com.productiontest.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 出货记录对象 shipping_record
 * 
 * @author cf
 * @date 2023-02-13
 */
@Getter
@Setter
@ToString
public class ShippingRecord extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/** 主键id */
	private String id;

	/** 订单id */
	@Excel(name = "订单id")
	@ApiModelProperty("订单id")
	private String orderId;

	/** 任务编号 */
	@Excel(name = "任务编号")
	@ApiModelProperty("任务编号")
	private String taskNumber;

	/** 订单编号 */
	@Excel(name = "订单编号")
	@ApiModelProperty("订单编号")
	private String orderNumber;

	/** 订单名称 */
	@Excel(name = "订单名称")
	@ApiModelProperty("订单名称")
	private String orderName;

	/** 交付设备 */
	@Excel(name = "交付设备")
	@ApiModelProperty("交付设备")
	private String deliveryEquipment;

	/** 创建账号 */
	@Excel(name = "创建账号")
	@ApiModelProperty("创建账号")
	private String createUser;

	@Excel(name = "出货日期")
	@ApiModelProperty("出货日期")
	private String createtime;

	@Excel(name = "备注")
	@ApiModelProperty("备注")
	private String remark;

	@ApiModelProperty("交付方式")
	private String deliveryMethod;

	//license 文件
	@ApiModelProperty("设备明细文件 用于出货记录下载 ")
	private String file;

	// 库存数量
	private Long inventoryCount;

	private Long deptId;

	private String mark;

	private String pushStatus;
}
