package com.productiontest.domain;

import com.productiontest.common.annotation.Excel;
import com.productiontest.common.core.domain.BaseEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 第三方授权对象 third_party_data
 *
 * @author cf
 * @date 2023-06-15
 */
@Data
@Api(tags = "第三方授权",value = "第三方授权")
public class ThirdPartyData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;



    /**
     * base64编码
     */
    @Excel(name = "base64编码")
    @ApiModelProperty("base64编码")
    private String baseCode;

    /**
     * 数据来源
     */
    private String source;

    /**
     * 拉取状态
     */
    private String pullStatus;

    /**
     * 同步状态
     */
    private String synchStatus;

    /**
     * license主键id
     */
    private Long licenseId;

    @Excel(name = "md5数值")
    @ApiModelProperty("md5数值")
    private String mdConfig;

    @Excel(name = "文件名")
    @ApiModelProperty("文件名")
    private String fileName;

    @Excel(name = "订单id")
    @ApiModelProperty("订单id")
    private String orderId;

    //烧录状态
    private String burnStatus;

    @Excel(name = "烧录状态")
    @ApiModelProperty("烧录状态")
    private String burnStatusName;

    //申请状态
    private String status;

    @Excel(name = "申请状态")
    @ApiModelProperty("申请状态")
    private String statusName;

    private String pushStatus;

    private String del;

    @Excel(name = "工单ID")
    private String workorderId;
}
