package com.productiontest.encapsulation;

import com.productiontest.common.utils.poi.ExcelUtil;
import com.productiontest.domain.LicenseData;
import com.productiontest.util.BaseUtil;
import org.apache.commons.codec.digest.DigestUtils;
import org.springframework.web.multipart.MultipartFile;

import java.io.*;
import java.nio.charset.Charset;
import java.util.ArrayList;
import java.util.List;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;

public class LicenseReadTool {

    /**
     * 读取bin文件 base64解码
     *
     * @param url
     * @return
     */
    public List<String> zipRead(String url) {
        List<String> dataList = new ArrayList<String>();
        try {
            InputStream fis = new FileInputStream(url);
            ZipInputStream zis = new ZipInputStream(fis, Charset.forName("GBK"));
            ZipEntry zipEntry = zis.getNextEntry();
            while (zipEntry != null) {
                // 如果该项是一个文件
                if (!zipEntry.isDirectory()) {
                    String fileName = zipEntry.getName();
                    String suffix = fileName.substring(fileName.lastIndexOf(".") + 1);

                    ByteArrayOutputStream bos = new ByteArrayOutputStream();
                    byte[] buffer = new byte[1024];
                    int len;
                    String sign = DigestUtils.md5Hex(buffer);
                    while ((len = zis.read(buffer)) > 0) {
                        bos.write(buffer, 0, len);
                    }
                    String content = bos.toString().replaceAll("\\s*", "");
                    dataList.add(content);
//                        dataList.add(BaseUtil.getDecodeBase64(content));

                }
                zis.closeEntry();
                zipEntry = zis.getNextEntry();
            }

            zis.close();
            fis.close();
        } catch (
                IOException e) {
            e.printStackTrace();
        }
        return dataList;
    }

    /**
     * 读取excel
     *
     * @param url
     * @return
     */
    public List<String> excelRead(String url) {
        List<String> dataList = new ArrayList<>();
        try {
            ExcelUtil<LicenseData> util = new ExcelUtil<LicenseData>(LicenseData.class);
            List<LicenseData> licenseList = util.importExcel(new FileInputStream(url));
            licenseList.forEach(str -> {
                String s = str.getLicense().replaceAll("\\s*", "");
                dataList.add(s);
            });
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dataList;
    }

    /**
     * 读取txt文件
     *
     * @param url
     * @return
     */
    public List<String> txtRead(String url) {
        List<String> dataList = new ArrayList<>();
        try {
            InputStream inputStream = new FileInputStream(url);//创建最基本的流
            //将InputStreamReader包裹在BufferedReader中以获得最佳效率。
            BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(inputStream));
            String strTmp = "";
            while ((strTmp = bufferedReader.readLine()) != null) {
                String s = strTmp.replaceAll("\\s*", "");
                dataList.add(s);
            }
            bufferedReader.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dataList;
    }


}
