package com.productiontest.encapsulation;

import com.productiontest.common.utils.poi.ExcelUtil;
import com.productiontest.domain.LicenseData;
import com.productiontest.domain.ThirdPartyData;
import com.productiontest.util.BaseUtil;
import org.apache.commons.codec.digest.DigestUtils;
import org.springframework.web.multipart.MultipartFile;

import java.io.*;
import java.nio.charset.Charset;
import java.nio.charset.StandardCharsets;
import java.util.ArrayList;
import java.util.Base64;
import java.util.List;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;

public class MultipartFileReadTool {


    public List<String> licenseReadExcel(MultipartFile file) {
        List<String> repeatList = new ArrayList<>();
        try {
            ExcelUtil<LicenseData> util = new ExcelUtil<LicenseData>(LicenseData.class);
            List<LicenseData> listData = util.importExcel(file.getInputStream());
            listData.forEach(str -> {
                String s = str.getLicense().replaceAll("\\s*", "");
                repeatList.add(s);
            });
        } catch (Exception e) {
            e.printStackTrace();
        }
        return repeatList;
    }

    public List<String> txtRead(MultipartFile file) {
        List<String> dataList = new ArrayList<>();
        try {
            InputStream inputStream = file.getInputStream();//创建最基本的流
            //将InputStreamReader包裹在BufferedReader中以获得最佳效率。
            BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(inputStream));
            String strTmp = "";
            while ((strTmp = bufferedReader.readLine()) != null) {
                String s = strTmp.replaceAll("\\s*", "");
                dataList.add(s);
            }
            bufferedReader.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dataList;
    }

    public List<String> zipReadLicense(MultipartFile file) {
        List<String> dataList = new ArrayList<String>();
        try {
            InputStream fis = new ByteArrayInputStream(file.getBytes());
            ZipInputStream zis = new ZipInputStream(fis, Charset.forName("GBK"));
            ZipEntry zipEntry = zis.getNextEntry();
            while (zipEntry != null) {
                // 如果该项是一个文件
                if (!zipEntry.isDirectory()) {
                    String fileName = zipEntry.getName().substring(zipEntry.getName().lastIndexOf("/") + 1);
                    String suffix = fileName.substring(fileName.lastIndexOf(".") + 1);

                    ByteArrayOutputStream bos = new ByteArrayOutputStream();
                    byte[] buffer = new byte[1024];
                    int len;
                    while ((len = zis.read(buffer)) > 0) {
                        bos.write(buffer, 0, len);
                    }
                    String sign = DigestUtils.md5Hex(buffer);
                    System.out.println(sign);
                    String content = bos.toString().replaceAll("\\s*", "");
                    ;
                    dataList.add(content);

                }
                zis.closeEntry();
                zipEntry = zis.getNextEntry();
            }

            zis.close();
            fis.close();
        } catch (
                IOException e) {
            e.printStackTrace();
        }
        return dataList;
    }


    public List<ThirdPartyData> zipRead(MultipartFile file) {
        List<ThirdPartyData> dataList = new ArrayList<ThirdPartyData>();
        try {
            InputStream fis = new ByteArrayInputStream(file.getBytes());
            ZipInputStream zis = new ZipInputStream(fis, Charset.forName("GBK"));
            ZipEntry zipEntry = zis.getNextEntry();
            while (zipEntry != null) {
                // 如果该项是一个文件
                if (!zipEntry.isDirectory()) {
                    String fileName = zipEntry.getName().substring(zipEntry.getName().lastIndexOf("/") + 1);
                    String suffix = fileName.substring(fileName.lastIndexOf(".") + 1);
                    if (suffix.equals("bin")) {
                        ByteArrayOutputStream bos = new ByteArrayOutputStream();
                        byte[] buffer = new byte[256];
                        int len;
//                        byte[] extra = zipEntry.getExtra();
//                        String s = new String(extra, StandardCharsets.UTF_8);
                        while ((len = zis.read(buffer)) > 0) {
                            bos.write(buffer, 0, len);
                        }
                        String sign = DigestUtils.md5Hex(buffer);
//
                        System.out.println(Base64.getEncoder().encodeToString(buffer));
                        ThirdPartyData thirdPartyData = new ThirdPartyData();
                        thirdPartyData.setBaseCode(Base64.getEncoder().encodeToString(buffer));
                        thirdPartyData.setMdConfig(sign);
                        thirdPartyData.setFileName(fileName);
                        dataList.add(thirdPartyData);
                    }
                }
                zis.closeEntry();
                zipEntry = zis.getNextEntry();
            }

            zis.close();
            fis.close();
        } catch (
                IOException e) {
            e.printStackTrace();
        }
        return dataList;
    }
}
