package com.productiontest.mapper;

import java.util.List;

import com.productiontest.domain.AgingTask;
import org.apache.ibatis.annotations.Param;

/**
 * 老化任务Mapper接口
 *
 * @author cf
 * @date 2023-02-15
 */
public interface AgingTaskMapper {
    /**
     * 查询老化任务
     *
     * @param id 老化任务主键
     * @return 老化任务
     */
    public AgingTask selectAgingTaskById(String id);

    /**
     * 查询老化任务列表
     *
     * @param agingTask 老化任务
     * @return 老化任务集合
     */
    public List<AgingTask> selectAgingTaskList(AgingTask agingTask);

    /**
     * 新增老化任务
     *
     * @param agingTask 老化任务
     * @return 结果
     */
    public int insertAgingTask(AgingTask agingTask);

    /**
     * 修改老化任务
     *
     * @param agingTask 老化任务
     * @return 结果
     */
    public int updateAgingTask(AgingTask agingTask);

    /**
     * 删除老化任务
     *
     * @param id 老化任务主键
     * @return 结果
     */
    public int deleteAgingTaskById(String id);

    /**
     * 批量删除老化任务
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAgingTaskByIds(String[] ids);

    List<AgingTask> getAgingTaskList(@Param("pushStatus") String pushStatus, @Param("deptId") String deptId);

    int insertOrUpdateAgingTaskList(@Param("data") List<AgingTask> agingList);

    List<AgingTask> selectNullHttpUrlList();
}
