package com.productiontest.mapper;

import java.util.List;
import java.util.Map;

import com.productiontest.common.core.domain.AjaxResult;
import com.productiontest.domain.AgingTask;
import com.productiontest.domain.ProductionWorkOrder;
import com.productiontest.vo.WorkTestStatistics;
import org.apache.ibatis.annotations.Param;

import com.productiontest.domain.InventoryTestRecord;

/**
 * 生产库存-测试记录Mapper接口
 *
 * @author cf
 * @date 2023-02-16
 */
public interface InventoryTestRecordMapper {
    /**
     * 查询生产库存-测试记录
     *
     * @param id 生产库存-测试记录主键
     * @return 生产库存-测试记录
     */
    public InventoryTestRecord selectInventoryTestRecordById(Long id);

    /**
     * 查询生产库存-测试记录列表
     *
     * @param inventoryTestRecord 生产库存-测试记录
     * @return 生产库存-测试记录集合
     */
    public List<InventoryTestRecord> selectInventoryTestRecordList(InventoryTestRecord inventoryTestRecord);

    /**
     * 新增生产库存-测试记录
     *
     * @param inventoryTestRecord 生产库存-测试记录
     * @return 结果
     */
    public int insertInventoryTestRecord(InventoryTestRecord inventoryTestRecord);

    /**
     * 修改生产库存-测试记录
     *
     * @param inventoryTestRecord 生产库存-测试记录
     * @return 结果
     */
    public int updateInventoryTestRecord(InventoryTestRecord inventoryTestRecord);

    /**
     * 删除生产库存-测试记录
     *
     * @param id 生产库存-测试记录主键
     * @return 结果
     */
    public int deleteInventoryTestRecordById(Long id);

    /**
     * 批量删除生产库存-测试记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteInventoryTestRecordByIds(Long[] ids);

    public List<InventoryTestRecord> selectInventoryTestRecordByWordOrderId(@Param("workOrderId") String workOrderId);

    Map<String, Object> getProductionOrderTestDetail(@Param("workOrderId") String productOrder);

    int selectCountTestRecordInOrder(@Param("workOrderId") String workOrderId);

    List<InventoryTestRecord> selectListTestRecordByOrderId(InventoryTestRecord it);

    int updateInventoryTestRecordByList(@Param("data") List<InventoryTestRecord> data, @Param("mark") String mark);

    int selectInventoryTestRecordCountBySN(@Param("deviceSN") String deviceSN);

    String selectInventoryTestRecordByList(@Param("data") List<String> listData);

    List<InventoryTestRecord> getInventoryTestRecordListByStatus(@Param("data") List<String> listData);

    int selectInventoryTestRecordByCetl(@Param("cetl") String cetl);

    String selectDeviceSNByLicense(@Param("license") String license);

    int selectTestTotal(@Param("time") String time, @Param("workOderId") String wordOderId, @Param("userName") String userName);

    InventoryTestRecord selectDateByWordOderId(@Param("workOderId") String wordOderId);

    List<WorkTestStatistics> selectListUser(@Param("workOderId") String wordOderId);

    List<InventoryTestRecord> getInventoryTestRecordList(@Param("pushStatus") String pushStatus, @Param("deptId") String deptId);

    int insertOrUpdateInventoryTestRecordList(@Param("data")  List<InventoryTestRecord> publicAgingTaskList);

    List<String> selectTestResultList(@Param("workOderId") String workOrderId);
}
