package com.productiontest.mapper;

import java.util.List;

import com.productiontest.domain.LabelTemplate;
import org.apache.ibatis.annotations.Param;

/**
 * 标签模板Mapper接口
 * 
 * @author cf
 * @date 2023-02-15
 */
public interface LabelTemplateMapper {
	/**
	 * 查询标签模板
	 * 
	 * @param id
	 *            标签模板主键
	 * @return 标签模板
	 */
	public LabelTemplate selectLabelTemplateById(String id);

	/**
	 * 查询标签模板列表
	 * 
	 * @param labelTemplate
	 *            标签模板
	 * @return 标签模板集合
	 */
	public List<LabelTemplate> selectLabelTemplateList(LabelTemplate labelTemplate);

	/**
	 * 新增标签模板
	 * 
	 * @param labelTemplate
	 *            标签模板
	 * @return 结果
	 */
	public int insertLabelTemplate(LabelTemplate labelTemplate);

	/**
	 * 修改标签模板
	 * 
	 * @param labelTemplate
	 *            标签模板
	 * @return 结果
	 */
	public int updateLabelTemplate(LabelTemplate labelTemplate);

	/**
	 * 删除标签模板
	 * 
	 * @param id
	 *            标签模板主键
	 * @return 结果
	 */
	public int deleteLabelTemplateById(String id);

	/**
	 * 批量删除标签模板
	 * 
	 * @param ids
	 *            需要删除的数据主键集合
	 * @return 结果
	 */
	public int deleteLabelTemplateByIds(String[] ids);

    List<LabelTemplate> getLabelTemplateList();

    List<LabelTemplate> getLabelTemplateWaitList(@Param("pushStatus") String pushStatus, @Param("deptId") String deptId);

	int insertOrUpdateLabelTemplateList(@Param("data") List<LabelTemplate> publicLabelTemplateArrayList);
}
