package com.productiontest.mapper;

import java.util.List;

import com.productiontest.domain.LabelTemplate;
import com.productiontest.vo.LicenseDataReq;
import org.apache.ibatis.annotations.Param;

import com.productiontest.domain.LicenseData;

/**
 * 导入license数据Mapper接口
 *
 * @author cf
 * @date 2023-02-17
 */
public interface LicenseDataMapper {
    /**
     * 查询导入license数据
     *
     * @param id 导入license数据主键
     * @return 导入license数据
     */
    public LicenseData selectLicenseDataById(LicenseData licenseData);

    /**
     * 查询导入license数据列表
     *
     * @param licenseData 导入license数据
     * @return 导入license数据集合
     */
    public List<LicenseData> selectLicenseDataList(LicenseData licenseData);

    /**
     * 新增导入license数据
     *
     * @param licenseData 导入license数据
     * @return 结果
     */
    public int insertLicenseData(LicenseData licenseData);

    /**
     * 修改导入license数据
     *
     * @param licenseData 导入license数据
     * @return 结果
     */
    public int updateLicenseData(LicenseData licenseData);

    /**
     * 删除导入license数据
     *
     * @param id 导入license数据主键
     * @return 结果
     */
    public int deleteLicenseDataById(String id);

    int deleteLicenseById(String id);

    /**
     * 批量删除导入license数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLicenseDataByIds(String[] ids);

    public int insertLicenseDataList(@Param("licenseList") List<String> licenseList
            ,@Param("mark") String mark, @Param("deptId") Long deptId
            ,@Param("orderId") String orderId
            ,@Param("workorderId") String workorderId
            ,@Param("corps") String corps
    );

    public List<String> selectLicenseDataListString(@Param("mark") String mark,@Param("workorderid") String workorderid);

    public int selectLicenseDataCountByLicense(@Param("license") String license);

    int deleteLicenseByMark(@Param("mark") String mark,@Param("workorderid") String workorderid,@Param("orderid") String orderid);

    String selectLicenseDataByList(String[] ids);

    int insertOrUpdateLicenseDataList(@Param("data") List<LicenseData> templateList);

    List<LicenseData> getLicenseDataWaitList(@Param("pushStatus") String pushStatus, @Param("deptId") String deptId);

    String selectLicenseDataByLicenseList(@Param("data") List<String> dataList);

    List<LicenseData> selectList(LicenseData ld);

    int countFinish(@Param("workorderId") String workorderId);
    int countUnFinish(@Param("orderId") String orderId);

    List<LicenseData> licenseList(LicenseDataReq req);
}
