package com.productiontest.mapper;

import java.util.List;
import java.util.Map;

import com.productiontest.domain.InventoryTestRecord;
import com.productiontest.domain.ProductionInventory;
import org.apache.ibatis.annotations.Param;

/**
 * 生产库存-pcba和整机Mapper接口
 * 
 * @author cf
 * @date 2023-02-16
 */
public interface ProductionInventoryMapper {
	/**
	 * 查询生产库存-pcba和整机
	 * 
	 * @param id
	 *            生产库存-pcba和整机主键
	 * @return 生产库存-pcba和整机
	 */
	public ProductionInventory selectProductionInventoryById(Long id);

	/**
	 * 查询生产库存-pcba和整机列表
	 * 
	 * @param productionInventory
	 *            生产库存-pcba和整机
	 * @return 生产库存-pcba和整机集合
	 */
	public List<ProductionInventory> selectProductionInventoryList(ProductionInventory productionInventory);

	/**
	 * 新增生产库存-pcba和整机
	 * 
	 * @param productionInventory
	 *            生产库存-pcba和整机
	 * @return 结果
	 */
	public int insertProductionInventory(ProductionInventory productionInventory);

	/**
	 * 修改生产库存-pcba和整机
	 * 
	 * @param productionInventory
	 *            生产库存-pcba和整机
	 * @return 结果
	 */
	public int updateProductionInventory(ProductionInventory productionInventory);

	/**
	 * 删除生产库存-pcba和整机
	 * 
	 * @param id
	 *            生产库存-pcba和整机主键
	 * @return 结果
	 */
	public int deleteProductionInventoryById(Long id);

	/**
	 * 批量删除生产库存-pcba和整机
	 * 
	 * @param ids
	 *            需要删除的数据主键集合
	 * @return 结果
	 */
	public int deleteProductionInventoryByIds(Long[] ids);

	public ProductionInventory getStatisticsProductionInventoryCount(ProductionInventory productionInventory);

	public List<Map<Object,Object>> getStatisticsByOderNo(ProductionInventory productionInventory);

	public Map<String,Object>  getStatisticsByMoth(ProductionInventory productionInventory);

	public int updateProductionInventoryByLicense(ProductionInventory pi);

    List<ProductionInventory> getProductionInventoryList(ProductionInventory tory);

    int updateProductionInventoryList(@Param("trList") List<InventoryTestRecord> trList);

    int selectCountByWorkOrderId(@Param("workOrderId") String workOrderId);

    int insertOrUpdateProductionInventoryList(@Param("data") List<ProductionInventory> inventoryList);

	List<ProductionInventory> getInventoryWaitList(@Param("pushStatus") String pushStatus, @Param("deptId") String deptId);
}
