package com.productiontest.mapper;

import java.util.List;
import java.util.Map;

import com.productiontest.common.core.domain.AjaxResult;
import com.productiontest.domain.ProductionOrder;
import com.productiontest.vo.LicenseProductStatistics;
import org.apache.ibatis.annotations.Param;

/**
 * 订单管理Mapper接口
 * 
 * @author cf
 * @date 2023-02-13
 */
public interface ProductionOrderMapper {
	/**
	 * 查询订单管理
	 * 
	 * @param id
	 *            订单管理主键
	 * @return 订单管理
	 */
	public ProductionOrder selectProductionOrderById(String id);

	/**
	 * 查询订单管理列表
	 * 
	 * @param productionOrder
	 *            订单管理
	 * @return 订单管理集合
	 */
	public List<ProductionOrder> selectProductionOrderList(ProductionOrder productionOrder);

	/**
	 * 新增订单管理
	 * 
	 * @param productionOrder
	 *            订单管理
	 * @return 结果
	 */
	public int insertProductionOrder(ProductionOrder productionOrder);

	/**
	 * 修改订单管理
	 * 
	 * @param productionOrder
	 *            订单管理
	 * @return 结果
	 */
	public int updateProductionOrder(ProductionOrder productionOrder);

	/**
	 * 删除订单管理
	 * 
	 * @param id
	 *            订单管理主键
	 * @return 结果
	 */
	public int deleteProductionOrderById(String id);

	/**
	 * 批量删除订单管理
	 * 
	 * @param ids
	 *            需要删除的数据主键集合
	 * @return 结果
	 */
	public int deleteProductionOrderByIds(String[] ids);

	public Map<Object, Object> selectProductionOrderDeliveryDetail(ProductionOrder productionOrder);

    Map<Object, Object> getSelectProductionOrderStatistics(@Param("deptId") Long deptId);

    List<ProductionOrder> selectProductionOrderListByNewDate(ProductionOrder po);

	List<Map<Object, Object>> selectProductionOrderStatisticsByEcharts(@Param("deptId") Long deptId);

    List<ProductionOrder> getListProductionOrderNoPage(ProductionOrder productionOrder);

	ProductionOrder selectProductionOrderByWorkOrderId(@Param("workOrderId") String workOrderId);

    LicenseProductStatistics selectLicenseCountByMark(@Param("mark") String mark);

    List<ProductionOrder> getListFile(@Param("params") String params);

    ProductionOrder selectLicenseByMark(@Param("mark") String mark);

    LicenseProductStatistics selectThirdCountByOrderId(@Param("id") String id);

    int insertOrUpdateProductionOrderList(@Param("data") List<ProductionOrder> orderList);

	List<ProductionOrder> getOrderWaitList(@Param("pushStatus") String pushStatus, @Param("deptId") String deptId);

    int updateProductionOrderById(ProductionOrder productionOrder);

    int selectProductionCount(ProductionOrder productionOrder);

    int selectProductionCountTemplateId(@Param("id")String id);
    int selectProductionFinishCount(@Param("orderId") String orderId);
}
