package com.productiontest.mapper;

import java.util.List;

import com.productiontest.domain.ProductionTestUserCard;
import com.productiontest.domain.ProductionTestUserCard;
import org.apache.ibatis.annotations.Param;

/**
 * 人员绑定-4GMapper接口
 * 
 * @author cf
 * @date 2023-06-14
 */
public interface ProductionTestUserCardMapper 
{
    /**
     * 查询人员绑定-4G
     * 
     * @param id 人员绑定-4G主键
     * @return 人员绑定-4G
     */
    public ProductionTestUserCard selectProductionTestUserCardById(String id);

    /**
     * 查询人员绑定-4G列表
     * 
     * @param productionTestUserCard 人员绑定-4G
     * @return 人员绑定-4G集合
     */
    public List<ProductionTestUserCard> selectProductionTestUserCardList(ProductionTestUserCard productionTestUserCard);

    /**
     * 新增人员绑定-4G
     * 
     * @param productionTestUserCard 人员绑定-4G
     * @return 结果
     */
    public int insertProductionTestUserCard(ProductionTestUserCard productionTestUserCard);

    /**
     * 修改人员绑定-4G
     * 
     * @param productionTestUserCard 人员绑定-4G
     * @return 结果
     */
    public int updateProductionTestUserCard(ProductionTestUserCard productionTestUserCard);

    /**
     * 删除人员绑定-4G
     * 
     * @param id 人员绑定-4G主键
     * @return 结果
     */
    public int deleteProductionTestUserCardById(String id);

    /**
     * 批量删除人员绑定-4G
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProductionTestUserCardByIds(String[] ids);

    List<String> selectProductionTestUserCardByUserId(@Param("userId") String userId,@Param("workOrderId") String workOrderId);

    int deleteProductionTestUserCardByWorkOrderId(@Param("workOrderId") String workOrderId);

    int insertOrUpdateProductionTestUserCardList(@Param("data") List<ProductionTestUserCard> cardList);

    List<ProductionTestUserCard> getTestUserCardWaitList(@Param("pushStatus") String pushStatus,@Param("deptId") String deptId);

    int deleteCardBySIM(@Param("userId") String userId,@Param("fourCard") String fourCard);

    List<String> selectUserCardByUserId(@Param("userId") String userId);

    int insertOrUpdate(ProductionTestUserCard productionTestUserCard);

    ProductionTestUserCard selectCount(ProductionTestUserCard productionTestUserCard);
}
