package com.productiontest.mapper;

import java.util.List;
import java.util.Map;

import com.productiontest.domain.ProductionTestUserCard;
import com.productiontest.domain.ProductionWorkOrder;
import org.apache.ibatis.annotations.Param;

import com.productiontest.domain.ProductionTestUser;

/**
 * 产测人员管理Mapper接口
 * 
 * @author cf
 * @date 2023-02-14
 */
public interface ProductionTestUserMapper 
{
    /**
     * 查询产测人员管理
     * 
     * @param id 产测人员管理主键
     * @return 产测人员管理
     */
    public ProductionTestUser selectProductionTestUserById(String id);

    /**
     * 查询产测人员管理列表
     * 
     * @param productionTestUser 产测人员管理
     * @return 产测人员管理集合
     */
    public List<ProductionTestUser> selectProductionTestUserList(ProductionTestUser productionTestUser);

    /**
     * 新增产测人员管理
     * 
     * @param productionTestUser 产测人员管理
     * @return 结果
     */
    public int insertProductionTestUser(ProductionTestUser productionTestUser);

    /**
     * 修改产测人员管理
     * 
     * @param productionTestUser 产测人员管理
     * @return 结果
     */
    public int updateProductionTestUser(ProductionTestUser productionTestUser);

    /**
     * 删除产测人员管理
     * 
     * @param id 产测人员管理主键
     * @return 结果
     */
    public int deleteProductionTestUserById(String id);

    /**
     * 批量删除产测人员管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProductionTestUserByIds(String[] ids);

	public ProductionTestUser selectProductionTestUserByUserName(@Param("username") String username);

    String selectProductionTestUserByStringId(@Param("stationAccount") String stationAccount);

    int selectCountProductionTestUser(ProductionTestUser productionTestUser);

    ProductionTestUser selectUserNameBySIM(@Param("sim") String sim);

    List<ProductionTestUser> getTestUserFileList();

    List<ProductionTestUser> selectWorkOrderUserListById(@Param("id") String id);

    int insertOrUpdateProductionTestUserList(@Param("data") List<ProductionTestUser> testUserList);

    List<ProductionTestUser> getTestUserWaitList(@Param("pushStatus") String pushStatus, @Param("deptId") String deptId);



}
