package com.productiontest.mapper;

import java.util.List;

import com.productiontest.common.core.domain.AjaxResult;
import org.apache.ibatis.annotations.Param;

import com.productiontest.domain.ProductionWorkOrder;

/**
 * PCBA生产工单Mapper接口
 * 
 * @author cf
 * @date 2023-02-07
 */
public interface ProductionWorkOrderMapper 
{
    /**
     * 查询PCBA生产工单
     * 
     * @param id PCBA生产工单主键
     * @return PCBA生产工单
     */
    public ProductionWorkOrder selectProductionWorkOrderById(String id);

    /**
     * 查询PCBA生产工单列表
     * 
     * @param ProductionWorkOrder PCBA生产工单
     * @return PCBA生产工单集合
     */
    public List<ProductionWorkOrder> selectProductionWorkOrderList(ProductionWorkOrder ProductionWorkOrder);

    /**
     * 新增PCBA生产工单
     * 
     * @param ProductionWorkOrder PCBA生产工单
     * @return 结果
     */
    public int insertProductionWorkOrder(ProductionWorkOrder ProductionWorkOrder);

    /**
     * 修改PCBA生产工单
     * 
     * @param ProductionWorkOrder PCBA生产工单
     * @return 结果
     */
    public int updateProductionWorkOrder(ProductionWorkOrder ProductionWorkOrder);

    /**
     * 删除PCBA生产工单
     * 
     * @param id PCBA生产工单主键
     * @return 结果
     */
    public int deleteProductionWorkOrderById(String id);

    /**
     * 批量删除PCBA生产工单
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProductionWorkOrderByIds(String[] ids);

	public ProductionWorkOrder getStatisticsProductionWorkOrder(ProductionWorkOrder ProductionWorkOrder);

	public int selectProductionWorkOrderCount(ProductionWorkOrder ProductionWorkOrder);

	public List<ProductionWorkOrder> getWorkOrderList(@Param("account") String account);

	public ProductionWorkOrder getWorkOrderInfo(@Param("workOrderID") String workOrderID);

	public int updateProductionWorkOrderByWorkorderId(ProductionWorkOrder pw);

	public ProductionWorkOrder selectProductionWorkOrderByWorkOrderId(@Param("workorderId") String workorderId);

    int getProductionWorkOrderCount(ProductionWorkOrder productionWorkOrder);

    int insertOrUpdateProductionWorkOrderList(@Param("data")  List<ProductionWorkOrder> workOrderList);

    List<ProductionWorkOrder> getWorkOrderWaitList(@Param("pushStatus") String pushStatus, @Param("deptId") String deptId);

    List<String> selectCountWorkOrderInDeviceSn(@Param("workOrderId") String workorderId,@Param("testResult")String testResult);

    int updateProductionWorkOrderById(ProductionWorkOrder productionWorkOrder);

    int selectCountTemplateId(@Param("templateId") String templateId);

    int delWorkOrderByOrderId(@Param("orderId") String orderId);
    List<ProductionWorkOrder> getWorkOrderByOrderId(@Param("orderId") String orderId);
}
