package com.productiontest.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.productiontest.domain.ProductionWorkOrderTestdetail;

/**
 * 测试工单详情Mapper接口
 * 
 * @author cf
 * @date 2023-02-16
 */
public interface ProductionWorkOrderTestdetailMapper {
	/**
	 * 查询测试工单详情
	 * 
	 * @param id
	 *            测试工单详情主键
	 * @return 测试工单详情
	 */
	public ProductionWorkOrderTestdetail selectProductionWorkOrderTestdetailById(Long id);

	/**
	 * 查询测试工单详情列表
	 * 
	 * @param productionWorkOrderTestdetail
	 *            测试工单详情
	 * @return 测试工单详情集合
	 */
	public List<ProductionWorkOrderTestdetail> selectProductionWorkOrderTestdetailList(
			ProductionWorkOrderTestdetail productionWorkOrderTestdetail);

	/**
	 * 新增测试工单详情
	 * 
	 * @param productionWorkOrderTestdetail
	 *            测试工单详情
	 * @return 结果
	 */
	public int insertProductionWorkOrderTestdetail(ProductionWorkOrderTestdetail productionWorkOrderTestdetail);

	/**
	 * 修改测试工单详情
	 * 
	 * @param productionWorkOrderTestdetail
	 *            测试工单详情
	 * @return 结果
	 */
	public int updateProductionWorkOrderTestdetail(ProductionWorkOrderTestdetail productionWorkOrderTestdetail);

	/**
	 * 删除测试工单详情
	 * 
	 * @param id
	 *            测试工单详情主键
	 * @return 结果
	 */
	public int deleteProductionWorkOrderTestdetailById(Long id);

	/**
	 * 批量删除测试工单详情
	 * 
	 * @param ids
	 *            需要删除的数据主键集合
	 * @return 结果
	 */
	public int deleteProductionWorkOrderTestdetailByIds(Long[] ids);

	public List<ProductionWorkOrderTestdetail> selectTestDetailByworkorderId(@Param("workorderId") String workorderId);

	public int updateProductionWorkOrderTestdetailByWorkOrderId(ProductionWorkOrderTestdetail pot);

	public Map<Object, Object> selectTestDetailSumByworkorderId(@Param("workorderId") String workOrderID);

	public ProductionWorkOrderTestdetail selectProductionWorkOrderTestdetail(ProductionWorkOrderTestdetail pot);

    ProductionWorkOrderTestdetail selectProductionWorkOrderTestdetailByRemark(@Param("remark") String remark);

    int insertOrUpdateTestDetailList(@Param("data")  List<ProductionWorkOrderTestdetail> workOrderDetailList);

	List<ProductionWorkOrderTestdetail> getTestDetailWaitList(@Param("pushStatus") String pushStatus, @Param("deptId") String deptId);
}
