package com.productiontest.mapper;

import java.util.List;
import com.productiontest.domain.ThirdPartyData;
import com.productiontest.vo.ThirdPartyDataReq;
import org.apache.ibatis.annotations.Param;

/**
 * 第三方授权Mapper接口
 * 
 * @author cf
 * @date 2023-06-15
 */
public interface ThirdPartyDataMapper 
{
    /**
     * 查询第三方授权
     * 
     * @param id 第三方授权主键
     * @return 第三方授权
     */
    public ThirdPartyData selectThirdPartyDataById(String id);

    /**
     * 查询第三方授权列表
     * 
     * @param thirdPartyData 第三方授权
     * @return 第三方授权集合
     */
    public List<ThirdPartyData> selectThirdPartyDataList(ThirdPartyData thirdPartyData);

    /**
     * 新增第三方授权
     * 
     * @param thirdPartyData 第三方授权
     * @return 结果
     */
    public int insertThirdPartyData(ThirdPartyData thirdPartyData);

    /**
     * 修改第三方授权
     * 
     * @param thirdPartyData 第三方授权
     * @return 结果
     */
    public int updateThirdPartyData(ThirdPartyData thirdPartyData);

    /**
     * 删除第三方授权
     * 
     * @param id 第三方授权主键
     * @return 结果
     */
    public int deleteThirdPartyDataById(String id);

    /**
     * 批量删除第三方授权
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteThirdPartyDataByIds(String[] ids);

    String selectThirdPartyDataByList(@Param("data") List<ThirdPartyData> baseCodeList);

    int insertOrUpdateThirdPartyList(@Param("data")List<ThirdPartyData> thirdPartyDataList);

    List<ThirdPartyData> getThirdPartyWaitList(@Param("pushStatus") String pushStatus, @Param("deptId") String deptId);

    List<ThirdPartyData> getThirdPartyDataListInWorkOrderId(@Param("workOrderId") String workOrderId);

    String selectThirdPartyByListIds(String[] ids);

    int deleteThirdPartyDataByOrderId(@Param("orderId") String orderId);

    List<ThirdPartyData> getThirdPartyDataBaseCode(ThirdPartyData partyData);
    List<ThirdPartyData> thirdPartyDataList(ThirdPartyDataReq partyData);
}
