package com.productiontest.mapper;

import java.util.List;
import com.productiontest.domain.UpdateOrderLog;
import org.apache.ibatis.annotations.Param;

/**
 * 修改日志-订单、工单Mapper接口
 * 
 * @author cf
 * @date 2023-06-07
 */
public interface UpdateOrderLogMapper 
{
    /**
     * 查询修改日志-订单、工单
     * 
     * @param id 修改日志-订单、工单主键
     * @return 修改日志-订单、工单
     */
    public UpdateOrderLog selectUpdateOrderLogById(String id);

    /**
     * 查询修改日志-订单、工单列表
     * 
     * @param updateOrderLog 修改日志-订单、工单
     * @return 修改日志-订单、工单集合
     */
    public List<UpdateOrderLog> selectUpdateOrderLogList(UpdateOrderLog updateOrderLog);

    /**
     * 新增修改日志-订单、工单
     * 
     * @param updateOrderLog 修改日志-订单、工单
     * @return 结果
     */
    public int insertUpdateOrderLog(UpdateOrderLog updateOrderLog);

    /**
     * 修改修改日志-订单、工单
     * 
     * @param updateOrderLog 修改日志-订单、工单
     * @return 结果
     */
    public int updateUpdateOrderLog(UpdateOrderLog updateOrderLog);

    /**
     * 删除修改日志-订单、工单
     * 
     * @param id 修改日志-订单、工单主键
     * @return 结果
     */
    public int deleteUpdateOrderLogById(String id);

    /**
     * 批量删除修改日志-订单、工单
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUpdateOrderLogByIds(String[] ids);

    int insertOrUpdateUpdateOrderLogList(@Param("data") List<UpdateOrderLog> updateOrderLogList);


    List<UpdateOrderLog> getUpdateOrderLogWaitList(@Param("pushStatus") String pushStatus, @Param("deptId") String deptId);
}
