package com.productiontest.service;

import java.util.List;

import com.productiontest.domain.AgingTaskDetail;

/**
 * 老化任务-测试详情Service接口
 * 
 * @author cf
 * @date 2023-02-15
 */
public interface IAgingTaskDetailService 
{
    /**
     * 查询老化任务-测试详情
     * 
     * @param id 老化任务-测试详情主键
     * @return 老化任务-测试详情
     */
    public AgingTaskDetail selectAgingTaskDetailById(String id);

    /**
     * 查询老化任务-测试详情列表
     * 
     * @param agingTaskDetail 老化任务-测试详情
     * @return 老化任务-测试详情集合
     */
    public List<AgingTaskDetail> selectAgingTaskDetailList(AgingTaskDetail agingTaskDetail);

    /**
     * 新增老化任务-测试详情
     * 
     * @param agingTaskDetail 老化任务-测试详情
     * @return 结果
     */
    public int insertAgingTaskDetail(AgingTaskDetail agingTaskDetail);

    /**
     * 修改老化任务-测试详情
     * 
     * @param agingTaskDetail 老化任务-测试详情
     * @return 结果
     */
    public int updateAgingTaskDetail(AgingTaskDetail agingTaskDetail);

    /**
     * 批量删除老化任务-测试详情
     * 
     * @param ids 需要删除的老化任务-测试详情主键集合
     * @return 结果
     */
    public int deleteAgingTaskDetailByIds(String[] ids);

    /**
     * 删除老化任务-测试详情信息
     * 
     * @param id 老化任务-测试详情主键
     * @return 结果
     */
    public int deleteAgingTaskDetailById(String id);
}
