package com.productiontest.service;

import java.util.List;

import com.alibaba.fastjson2.JSONObject;
import com.productiontest.common.core.domain.AjaxResult;
import com.productiontest.domain.AgingTask;
import org.springframework.web.multipart.MultipartFile;

/**
 * 老化任务Service接口
 * 
 * @author cf
 * @date 2023-02-15
 */
public interface IAgingTaskService 
{
    /**
     * 查询老化任务
     * 
     * @param id 老化任务主键
     * @return 老化任务
     */
    public AgingTask selectAgingTaskById(String id);

    /**
     * 查询老化任务列表
     * 
     * @param agingTask 老化任务
     * @return 老化任务集合
     */
    public List<AgingTask> selectAgingTaskList(AgingTask agingTask);

    /**
     * 新增老化任务
     * 
     * @param agingTask 老化任务
     * @return 结果
     */
    public int insertAgingTask(AgingTask agingTask);

    /**
     * 修改老化任务
     * 
     * @param agingTask 老化任务
     * @return 结果
     */
    public int updateAgingTask(AgingTask agingTask);

    /**
     * 批量删除老化任务
     * 
     * @param ids 需要删除的老化任务主键集合
     * @return 结果
     */
    public int deleteAgingTaskByIds(String[] ids);

    /**
     * 删除老化任务信息
     * 
     * @param id 老化任务主键
     * @return 结果
     */
    public int deleteAgingTaskById(String id);

    int stopAgingTask(AgingTask agingTask);

    AjaxResult uploadDeviceFile(MultipartFile file);

    int noticeAgingTask(JSONObject json);
}
