package com.productiontest.service;

import java.util.List;

import com.productiontest.domain.DataDictionary;

/**
 * 数据字典Service接口
 * 
 * @author cf
 * @date 2022-08-10
 */
public interface IDataDictionaryService 
{
    /**
     * 查询数据字典
     * 
     * @param id 数据字典主键
     * @return 数据字典
     */
    public DataDictionary selectDataDictionaryById(Long id);

    /**
     * 查询数据字典列表
     * 
     * @param dataDictionary 数据字典
     * @return 数据字典集合
     */
    public List<DataDictionary> selectDataDictionaryList(DataDictionary dataDictionary);

    /**
     * 新增数据字典
     * 
     * @param dataDictionary 数据字典
     * @return 结果
     */
    public int insertDataDictionary(DataDictionary dataDictionary);

    /**
     * 修改数据字典
     * 
     * @param dataDictionary 数据字典
     * @return 结果
     */
    public int updateDataDictionary(DataDictionary dataDictionary);

    /**
     * 批量删除数据字典
     * 
     * @param ids 需要删除的数据字典主键集合
     * @return 结果
     */
    public int deleteDataDictionaryByIds(Long[] ids);

    /**
     * 删除数据字典信息
     * 
     * @param id 数据字典主键
     * @return 结果
     */
    public int deleteDataDictionaryById(Long id);
}
