package com.productiontest.service;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson2.JSONObject;
import com.productiontest.common.core.domain.AjaxResult;
import com.productiontest.domain.InventoryTestRecord;

/**
 * 生产库存-测试记录Service接口
 * 
 * @author cf
 * @date 2023-02-16
 */
public interface IInventoryTestRecordService 
{
    /**
     * 查询生产库存-测试记录
     * 
     * @param id 生产库存-测试记录主键
     * @return 生产库存-测试记录
     */
    public InventoryTestRecord selectInventoryTestRecordById(Long id);

    /**
     * 查询生产库存-测试记录列表
     * 
     * @param inventoryTestRecord 生产库存-测试记录
     * @return 生产库存-测试记录集合
     */
    public List<InventoryTestRecord> selectInventoryTestRecordList(InventoryTestRecord inventoryTestRecord);

    /**
     * 新增生产库存-测试记录
     * 
     * @param inventoryTestRecord 生产库存-测试记录
     * @return 结果
     */
    public int insertInventoryTestRecord(InventoryTestRecord inventoryTestRecord);

    /**
     * 修改生产库存-测试记录
     * 
     * @param inventoryTestRecord 生产库存-测试记录
     * @return 结果
     */
    public int updateInventoryTestRecord(InventoryTestRecord inventoryTestRecord);

    /**
     * 批量删除生产库存-测试记录
     * 
     * @param ids 需要删除的生产库存-测试记录主键集合
     * @return 结果
     */
    public int deleteInventoryTestRecordByIds(Long[] ids);

    /**
     * 删除生产库存-测试记录信息
     * 
     * @param id 生产库存-测试记录主键
     * @return 结果
     */
    public int deleteInventoryTestRecordById(Long id);

	public JSONObject uploadTestResult(JSONObject js);

    Map<String, Object> getProductionOrderTestDetail(String workOrderId);

    JSONObject selectDeviceSNByLicense(JSONObject js);

    AjaxResult selectTestTotal(String wordOderId);

    
}
