package com.productiontest.service;

import java.util.List;

import org.springframework.web.multipart.MultipartFile;

import com.productiontest.domain.LabelTemplate;

/**
 * 标签模板Service接口
 * 
 * @author cf
 * @date 2023-02-15
 */
public interface ILabelTemplateService 
{
    /**
     * 查询标签模板
     * 
     * @param id 标签模板主键
     * @return 标签模板
     */
    public LabelTemplate selectLabelTemplateById(String id);

    /**
     * 查询标签模板列表
     * 
     * @param labelTemplate 标签模板
     * @return 标签模板集合
     */
    public List<LabelTemplate> selectLabelTemplateList(LabelTemplate labelTemplate);

    /**
     * 新增标签模板
     * 
     * @param labelTemplate 标签模板
     * @return 结果
     */
    public int insertLabelTemplate(LabelTemplate labelTemplate);

    /**
     * 修改标签模板
     * 
     * @param labelTemplate 标签模板
     * @return 结果
     */
    public int updateLabelTemplate(LabelTemplate labelTemplate);

    /**
     * 批量删除标签模板
     * 
     * @param ids 需要删除的标签模板主键集合
     * @return 结果
     */
    public int deleteLabelTemplateByIds(String[] ids);

    /**
     * 删除标签模板信息
     * 
     * @param id 标签模板主键
     * @return 结果
     */
    public int deleteLabelTemplateById(String id);

	public int importLabelTemplate(MultipartFile file);

    List<LabelTemplate> getLabelTemplateList();
}
