package com.productiontest.service;

import java.util.List;
import com.productiontest.domain.LicenseData;

/**
 * 导入license数据Service接口
 * 
 * @author cf
 * @date 2023-02-17
 */
public interface ILicenseDataService 
{
    /**
     * 查询导入license数据
     * 
     * @param id 导入license数据主键
     * @return 导入license数据
     */
    public LicenseData selectLicenseDataById(LicenseData licenseData);

    /**
     * 查询导入license数据列表
     * 
     * @param licenseData 导入license数据
     * @return 导入license数据集合
     */
    public List<LicenseData> selectLicenseDataList(LicenseData licenseData);

    /**
     * 新增导入license数据
     * 
     * @param licenseData 导入license数据
     * @return 结果
     */
    public int insertLicenseData(LicenseData licenseData);

    /**
     * 修改导入license数据
     * 
     * @param licenseData 导入license数据
     * @return 结果
     */
    public int updateLicenseData(LicenseData licenseData);

    /**
     * 批量删除导入license数据
     * 
     * @param ids 需要删除的导入license数据主键集合
     * @return 结果
     */
    public int deleteLicenseDataByIds(String[] ids);

    /**
     * 删除导入license数据信息
     * 
     * @param id 导入license数据主键
     * @return 结果
     */
    public int deleteLicenseDataById(String id);
}
