package com.productiontest.service;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson2.JSONObject;
import com.productiontest.domain.ProductionInventory;

/**
 * 生产库存-pcba和整机Service接口
 * 
 * @author cf
 * @date 2023-02-16
 */
public interface IProductionInventoryService {
	/**
	 * 查询生产库存-pcba和整机
	 * 
	 * @param id
	 *            生产库存-pcba和整机主键
	 * @return 生产库存-pcba和整机
	 */
	public ProductionInventory selectProductionInventoryById(Long id);

	/**
	 * 查询生产库存-pcba和整机列表
	 * 
	 * @param productionInventory
	 *            生产库存-pcba和整机
	 * @return 生产库存-pcba和整机集合
	 */
	public List<ProductionInventory> selectProductionInventoryList(ProductionInventory productionInventory);

	/**
	 * 新增生产库存-pcba和整机
	 * 
	 * @param productionInventory
	 *            生产库存-pcba和整机
	 * @return 结果
	 */
	public int insertProductionInventory(ProductionInventory productionInventory);

	/**
	 * 修改生产库存-pcba和整机
	 * 
	 * @param productionInventory
	 *            生产库存-pcba和整机
	 * @return 结果
	 */
	public int updateProductionInventory(ProductionInventory productionInventory);

	/**
	 * 批量删除生产库存-pcba和整机
	 * 
	 * @param ids
	 *            需要删除的生产库存-pcba和整机主键集合
	 * @return 结果
	 */
	public int deleteProductionInventoryByIds(Long[] ids);

	/**
	 * 删除生产库存-pcba和整机信息
	 * 
	 * @param id
	 *            生产库存-pcba和整机主键
	 * @return 结果
	 */
	public int deleteProductionInventoryById(Long id);

	public ProductionInventory getStatisticsProductionInventoryCount(ProductionInventory productionInventory);

	public List<Map<Object, Object>> getStatisticsByOderNo(ProductionInventory productionInventory);

	public List<String> getStatisticsByMoth(ProductionInventory productionInventory);

	public JSONObject getLicense(JSONObject json);
}
