package com.productiontest.service;

import java.util.List;

import com.alibaba.fastjson2.JSONObject;
import com.productiontest.domain.ProductionTestUserCard;

/**
 * 人员绑定-4GService接口
 * 
 * @author cf
 * @date 2023-06-14
 */
public interface IProductionTestUserCardService 
{
    /**
     * 查询人员绑定-4G
     * 
     * @param id 人员绑定-4G主键
     * @return 人员绑定-4G
     */
    public ProductionTestUserCard selectProductionTestUserCardById(String id);

    /**
     * 查询人员绑定-4G列表
     * 
     * @param productionTestUserCard 人员绑定-4G
     * @return 人员绑定-4G集合
     */
    public List<ProductionTestUserCard> selectProductionTestUserCardList(ProductionTestUserCard productionTestUserCard);

    /**
     * 新增人员绑定-4G
     * 
     *  人员绑定-4G
     * @return 结果
     */
    public JSONObject insertProductionTestUserCard(JSONObject json);

    /**
     * 修改人员绑定-4G
     * 
     * @param productionTestUserCard 人员绑定-4G
     * @return 结果
     */
    public int updateProductionTestUserCard(ProductionTestUserCard productionTestUserCard);

    /**
     * 批量删除人员绑定-4G
     * 
     * @param ids 需要删除的人员绑定-4G主键集合
     * @return 结果
     */
    public int deleteProductionTestUserCardByIds(String[] ids);

    /**
     * 删除人员绑定-4G信息
     * 
     * @param id 人员绑定-4G主键
     * @return 结果
     */
    public int deleteProductionTestUserCardById(String id);

    JSONObject selectAccountByCard(JSONObject json);

    JSONObject selectSimCardByAccount(JSONObject json);
}
