package com.productiontest.service;

import java.util.List;

import com.alibaba.fastjson2.JSONObject;
import com.productiontest.common.core.domain.AjaxResult;
import com.productiontest.domain.ProductionTestUser;

/**
 * 产测人员管理Service接口
 * 
 * @author cf
 * @date 2023-02-14
 */
public interface IProductionTestUserService 
{
    /**
     * 查询产测人员管理
     *
     * @param id 产测人员管理主键
     * @return 产测人员管理
     */
    public ProductionTestUser selectProductionTestUserById(String id);

    /**
     * 查询产测人员管理列表
     *
     * @param productionTestUser 产测人员管理
     * @return 产测人员管理集合
     */
    public List<ProductionTestUser> selectProductionTestUserList(ProductionTestUser productionTestUser);

    /**
     * 新增产测人员管理
     *
     * @param productionTestUser 产测人员管理
     * @return 结果
     */
    public AjaxResult insertProductionTestUser(ProductionTestUser productionTestUser);

    /**
     * 修改产测人员管理
     *
     * @param productionTestUser 产测人员管理
     * @return 结果
     */
    public int updateProductionTestUser(ProductionTestUser productionTestUser);

    /**
     * 批量删除产测人员管理
     *
     * @param ids 需要删除的产测人员管理主键集合
     * @return 结果
     */
    public int deleteProductionTestUserByIds(String[] ids);

    /**
     * 删除产测人员管理信息
     *
     * @param id 产测人员管理主键
     * @return 结果
     */
    public int deleteProductionTestUserById(String id);

	public int resetPassword(ProductionTestUser productionTestUser);

	public JSONObject getUsernameAndIcon(JSONObject json);

	public JSONObject getAccountInfo(JSONObject json);

    int selectCountProductionTestUser(ProductionTestUser productionTestUser);
}
