package com.productiontest.service;

import java.util.List;

import com.productiontest.domain.ProductionWorkOrderTestdetail;

/**
 * 测试工单详情Service接口
 * 
 * @author cf
 * @date 2023-02-16
 */
public interface IProductionWorkOrderTestdetailService 
{
    /**
     * 查询测试工单详情
     * 
     * @param id 测试工单详情主键
     * @return 测试工单详情
     */
    public ProductionWorkOrderTestdetail selectProductionWorkOrderTestdetailById(Long id);

    /**
     * 查询测试工单详情列表
     * 
     * @param productionWorkOrderTestdetail 测试工单详情
     * @return 测试工单详情集合
     */
    public List<ProductionWorkOrderTestdetail> selectProductionWorkOrderTestdetailList(ProductionWorkOrderTestdetail productionWorkOrderTestdetail);

    /**
     * 新增测试工单详情
     * 
     * @param productionWorkOrderTestdetail 测试工单详情
     * @return 结果
     */
    public int insertProductionWorkOrderTestdetail(ProductionWorkOrderTestdetail productionWorkOrderTestdetail);

    /**
     * 修改测试工单详情
     * 
     * @param productionWorkOrderTestdetail 测试工单详情
     * @return 结果
     */
    public int updateProductionWorkOrderTestdetail(ProductionWorkOrderTestdetail productionWorkOrderTestdetail);

    /**
     * 批量删除测试工单详情
     * 
     * @param ids 需要删除的测试工单详情主键集合
     * @return 结果
     */
    public int deleteProductionWorkOrderTestdetailByIds(Long[] ids);

    /**
     * 删除测试工单详情信息
     * 
     * @param id 测试工单详情主键
     * @return 结果
     */
    public int deleteProductionWorkOrderTestdetailById(Long id);

	public List<ProductionWorkOrderTestdetail> selectTestDetailByworkorderId(String workorderId);
}
