package com.productiontest.service;

import java.util.List;

import com.productiontest.domain.ShippingRecord;

/**
 * 出货记录Service接口
 * 
 * @author cf
 * @date 2023-02-13
 */
public interface IShippingRecordService 
{
    /**
     * 查询出货记录
     * 
     * @param id 出货记录主键
     * @return 出货记录
     */
    public ShippingRecord selectShippingRecordById(Long id);

    /**
     * 查询出货记录列表
     * 
     * @param shippingRecord 出货记录
     * @return 出货记录集合
     */
    public List<ShippingRecord> selectShippingRecordList(ShippingRecord shippingRecord);

    /**
     * 新增出货记录
     * 
     * @param shippingRecord 出货记录
     * @return 结果
     */
    public int insertShippingRecord(ShippingRecord shippingRecord);

    /**
     * 修改出货记录
     * 
     * @param shippingRecord 出货记录
     * @return 结果
     */
    public int updateShippingRecord(ShippingRecord shippingRecord);

    /**
     * 批量删除出货记录
     * 
     * @param ids 需要删除的出货记录主键集合
     * @return 结果
     */
    public int deleteShippingRecordByIds(Long[] ids);

    /**
     * 删除出货记录信息
     * 
     * @param id 出货记录主键
     * @return 结果
     */
    public int deleteShippingRecordById(Long id);

}
