package com.productiontest.service;

import java.util.List;
import com.productiontest.domain.ThirdPartyData;

/**
 * 第三方授权Service接口
 * 
 * @author cf
 * @date 2023-06-15
 */
public interface IThirdPartyDataService 
{
    /**
     * 查询第三方授权
     * 
     * @param id 第三方授权主键
     * @return 第三方授权
     */
    public ThirdPartyData selectThirdPartyDataById(String id);

    /**
     * 查询第三方授权列表
     * 
     * @param thirdPartyData 第三方授权
     * @return 第三方授权集合
     */
    public List<ThirdPartyData> selectThirdPartyDataList(ThirdPartyData thirdPartyData);

    /**
     * 新增第三方授权
     * 
     * @param thirdPartyData 第三方授权
     * @return 结果
     */
    public int insertThirdPartyData(ThirdPartyData thirdPartyData);

    /**
     * 修改第三方授权
     * 
     * @param thirdPartyData 第三方授权
     * @return 结果
     */
    public int updateThirdPartyData(ThirdPartyData thirdPartyData);

    /**
     * 批量删除第三方授权
     * 
     * @param ids 需要删除的第三方授权主键集合
     * @return 结果
     */
    public int deleteThirdPartyDataByIds(String[] ids);

    /**
     * 删除第三方授权信息
     * 
     * @param id 第三方授权主键
     * @return 结果
     */
    public int deleteThirdPartyDataById(String id);
}
