package com.productiontest.service;

import java.util.List;
import com.productiontest.domain.UpdateOrderLog;

/**
 * 修改日志-订单、工单Service接口
 *
 * @author cf
 * @date 2023-06-07
 */
public interface IUpdateOrderLogService
{
    /**
     * 查询修改日志-订单、工单
     *
     * @param id 修改日志-订单、工单主键
     * @return 修改日志-订单、工单
     */
    public UpdateOrderLog selectUpdateOrderLogById(String id);

    /**
     * 查询修改日志-订单、工单列表
     *
     * @param updateOrderLog 修改日志-订单、工单
     * @return 修改日志-订单、工单集合
     */
    public List<UpdateOrderLog> selectUpdateOrderLogList(UpdateOrderLog updateOrderLog);

    /**
     * 新增修改日志-订单、工单
     *
     * @param updateOrderLog 修改日志-订单、工单
     * @return 结果
     */
    public int insertUpdateOrderLog(UpdateOrderLog updateOrderLog);

    /**
     * 修改修改日志-订单、工单
     *
     * @param updateOrderLog 修改日志-订单、工单
     * @return 结果
     */
    public int updateUpdateOrderLog(UpdateOrderLog updateOrderLog);

    /**
     * 批量删除修改日志-订单、工单
     *
     * @param ids 需要删除的修改日志-订单、工单主键集合
     * @return 结果
     */
    public int deleteUpdateOrderLogByIds(String[] ids);

    /**
     * 删除修改日志-订单、工单信息
     *
     * @param id 修改日志-订单、工单主键
     * @return 结果
     */
    public int deleteUpdateOrderLogById(String id);
}
