package com.productiontest.service.impl;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

import com.productiontest.util.UUIDGenerator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.productiontest.domain.AgingTaskDetail;
import com.productiontest.mapper.AgingTaskDetailMapper;
import com.productiontest.service.IAgingTaskDetailService;

/**
 * 老化任务-测试详情Service业务层处理
 * 
 * @author cf
 * @date 2023-02-15
 */
@Service
public class AgingTaskDetailServiceImpl implements IAgingTaskDetailService {

	SimpleDateFormat sd = new SimpleDateFormat("yyyy-MM-dd");

	@Autowired
	private AgingTaskDetailMapper agingTaskDetailMapper;

	/**
	 * 查询老化任务-测试详情
	 * 
	 * @param id
	 *            老化任务-测试详情主键
	 * @return 老化任务-测试详情
	 */
	@Override
	public AgingTaskDetail selectAgingTaskDetailById(String id) {
		return agingTaskDetailMapper.selectAgingTaskDetailById(id);
	}

	/**
	 * 查询老化任务-测试详情列表
	 * 
	 * @param agingTaskDetail
	 *            老化任务-测试详情
	 * @return 老化任务-测试详情
	 */
	@Override
	public List<AgingTaskDetail> selectAgingTaskDetailList(AgingTaskDetail agingTaskDetail) {
		return agingTaskDetailMapper.selectAgingTaskDetailList(agingTaskDetail);
	}

	/**
	 * 新增老化任务-测试详情
	 * 
	 * @param agingTaskDetail
	 *            老化任务-测试详情
	 * @return 结果
	 */
	@Override
	public int insertAgingTaskDetail(AgingTaskDetail agingTaskDetail) {
		agingTaskDetail.setId(UUIDGenerator.getUUID());
		agingTaskDetail.setCreateTime(sd.format(new Date()));
		return agingTaskDetailMapper.insertAgingTaskDetail(agingTaskDetail);
	}

	/**
	 * 修改老化任务-测试详情
	 * 
	 * @param agingTaskDetail
	 *            老化任务-测试详情
	 * @return 结果
	 */
	@Override
	public int updateAgingTaskDetail(AgingTaskDetail agingTaskDetail) {
		agingTaskDetail.setPushStatus("wait");
		return agingTaskDetailMapper.updateAgingTaskDetail(agingTaskDetail);
	}

	/**
	 * 批量删除老化任务-测试详情
	 * 
	 * @param ids
	 *            需要删除的老化任务-测试详情主键
	 * @return 结果
	 */
	@Override
	public int deleteAgingTaskDetailByIds(String[] ids) {
		return agingTaskDetailMapper.deleteAgingTaskDetailByIds(ids);
	}

	/**
	 * 删除老化任务-测试详情信息
	 * 
	 * @param id
	 *            老化任务-测试详情主键
	 * @return 结果
	 */
	@Override
	public int deleteAgingTaskDetailById(String id) {
		return agingTaskDetailMapper.deleteAgingTaskDetailById(id);
	}
}
