package com.productiontest.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.productiontest.domain.DataDictionary;
import com.productiontest.mapper.DataDictionaryMapper;
import com.productiontest.service.IDataDictionaryService;

/**
 * 数据字典Service业务层处理
 * 
 * @author cf
 * @date 2022-08-10
 */
@Service
public class DataDictionaryServiceImpl implements IDataDictionaryService 
{
    @Autowired
    private DataDictionaryMapper dataDictionaryMapper;

    /**
     * 查询数据字典
     * 
     * @param id 数据字典主键
     * @return 数据字典
     */
    @Override
    public DataDictionary selectDataDictionaryById(Long id)
    {
        return dataDictionaryMapper.selectDataDictionaryById(id);
    }

    /**
     * 查询数据字典列表
     * 
     * @param dataDictionary 数据字典
     * @return 数据字典
     */
    @Override
    public List<DataDictionary> selectDataDictionaryList(DataDictionary dataDictionary)
    {
        return dataDictionaryMapper.selectDataDictionaryList(dataDictionary);
    }

    /**
     * 新增数据字典
     * 
     * @param dataDictionary 数据字典
     * @return 结果
     */
    @Override
    public int insertDataDictionary(DataDictionary dataDictionary)
    {
        return dataDictionaryMapper.insertDataDictionary(dataDictionary);
    }

    /**
     * 修改数据字典
     * 
     * @param dataDictionary 数据字典
     * @return 结果
     */
    @Override
    public int updateDataDictionary(DataDictionary dataDictionary)
    {
        return dataDictionaryMapper.updateDataDictionary(dataDictionary);
    }

    /**
     * 批量删除数据字典
     * 
     * @param ids 需要删除的数据字典主键
     * @return 结果
     */
    @Override
    public int deleteDataDictionaryByIds(Long[] ids)
    {
        return dataDictionaryMapper.deleteDataDictionaryByIds(ids);
    }

    /**
     * 删除数据字典信息
     * 
     * @param id 数据字典主键
     * @return 结果
     */
    @Override
    public int deleteDataDictionaryById(Long id)
    {
        return dataDictionaryMapper.deleteDataDictionaryById(id);
    }
}
