package com.productiontest.service.impl;

import java.io.File;
import java.util.HashMap;
import java.util.Map;

import cn.hutool.core.io.FileUtil;
import com.productiontest.common.config.RuoYiConfig;
import com.productiontest.common.core.domain.AjaxResult;
import com.productiontest.util.QcloudUtil;
import com.productiontest.util.ToolUtil;
import org.apache.commons.codec.digest.DigestUtils;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import com.productiontest.service.IOssService;

@Service
public class IOssServiceImpl implements IOssService {

    @Override
    public AjaxResult uploadFiles(MultipartFile file) {
        AjaxResult ajax = new AjaxResult();
        try {
            String filePath = RuoYiConfig.getUploadPath();
            File fe = new File(filePath);
            if (!fe.exists()) {
                fe.mkdirs();
            }
            String path = filePath + file.getOriginalFilename();
            FileUtil.writeBytes(file.getBytes(), path);
            ajax.put("httpUrl", "");
            if (new ToolUtil().getNetwork()) {
                // 上传文件到oss中
                Map<String, String> map = new QcloudUtil().uploadFileInput(file);
                if (map.get("code").equals("200")) {
                    ajax.put("httpUrl", map.get("url"));
                }
            }
            byte[] bytes = file.getBytes();
            String sign = DigestUtils.md5Hex(bytes);
            ajax.put("sign", sign);
            ajax.put("newFileName", file.getOriginalFilename());
            ajax.put("originalFilename", file.getOriginalFilename());
            ajax.put("fileName", file.getOriginalFilename());
             ajax.put("url", RuoYiConfig.getNginxFile()+file.getOriginalFilename());
            // 上传并返回新文件名称
//			aj.put("url", map.get("url"));
//			aj.put("name", file.getOriginalFilename());
//			aj.put("fileName",file.getOriginalFilename());
//			aj.put("newFileName",file.getOriginalFilename());
//			aj.put("sign",map.get("sign"));

        } catch (Exception e) {
            e.printStackTrace();
        }
        return ajax;
    }

    @Override
    public AjaxResult uploadResource(MultipartFile file) {
        AjaxResult aj = new AjaxResult();
        try {
            Map<String, String> map = new QcloudUtil().uploadResource(file);
            // 上传并返回新文件名称
            aj.put("url", map.get("url"));
            aj.put("name", file.getOriginalFilename());
            aj.put("fileName", file.getOriginalFilename());
            aj.put("newFileName", file.getOriginalFilename());

        } catch (Exception e) {
            e.printStackTrace();
        }
        return aj;
    }


}
