package com.productiontest.service.impl;

import java.util.List;

import com.productiontest.util.UUIDGenerator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.productiontest.common.utils.DateUtils;
import com.productiontest.domain.ProductionWorkOrderTestdetail;
import com.productiontest.mapper.ProductionWorkOrderTestdetailMapper;
import com.productiontest.service.IProductionWorkOrderTestdetailService;

/**
 * 测试工单详情Service业务层处理
 * 
 * @author cf
 * @date 2023-02-16
 */
@Service
public class ProductionWorkOrderTestdetailServiceImpl implements IProductionWorkOrderTestdetailService {
	
	@Autowired
	private ProductionWorkOrderTestdetailMapper productionWorkOrderTestdetailMapper;

	/**
	 * 查询测试工单详情
	 * 
	 * @param id
	 *            测试工单详情主键
	 * @return 测试工单详情
	 */
	@Override
	public ProductionWorkOrderTestdetail selectProductionWorkOrderTestdetailById(Long id) {
		return productionWorkOrderTestdetailMapper.selectProductionWorkOrderTestdetailById(id);
	}

	/**
	 * 查询测试工单详情列表
	 * 
	 * @param productionWorkOrderTestdetail
	 *            测试工单详情
	 * @return 测试工单详情
	 */
	@Override
	public List<ProductionWorkOrderTestdetail> selectProductionWorkOrderTestdetailList(
			ProductionWorkOrderTestdetail productionWorkOrderTestdetail) {
		return productionWorkOrderTestdetailMapper
				.selectProductionWorkOrderTestdetailList(productionWorkOrderTestdetail);
	}

	/**
	 * 新增测试工单详情
	 * 
	 * @param productionWorkOrderTestdetail
	 *            测试工单详情
	 * @return 结果
	 */
	@Override
	public int insertProductionWorkOrderTestdetail(ProductionWorkOrderTestdetail productionWorkOrderTestdetail) {
		productionWorkOrderTestdetail.setCreateTime(DateUtils.getNowDate());
		productionWorkOrderTestdetail.setId(UUIDGenerator.getUUID());

		return productionWorkOrderTestdetailMapper.insertProductionWorkOrderTestdetail(productionWorkOrderTestdetail);
	}

	/**
	 * 修改测试工单详情
	 * 
	 * @param productionWorkOrderTestdetail
	 *            测试工单详情
	 * @return 结果
	 */
	@Override
	public int updateProductionWorkOrderTestdetail(ProductionWorkOrderTestdetail productionWorkOrderTestdetail) {
		return productionWorkOrderTestdetailMapper.updateProductionWorkOrderTestdetail(productionWorkOrderTestdetail);
	}

	/**
	 * 批量删除测试工单详情
	 * 
	 * @param ids
	 *            需要删除的测试工单详情主键
	 * @return 结果
	 */
	@Override
	public int deleteProductionWorkOrderTestdetailByIds(Long[] ids) {
		return productionWorkOrderTestdetailMapper.deleteProductionWorkOrderTestdetailByIds(ids);
	}

	/**
	 * 删除测试工单详情信息
	 * 
	 * @param id
	 *            测试工单详情主键
	 * @return 结果
	 */
	@Override
	public int deleteProductionWorkOrderTestdetailById(Long id) {
		return productionWorkOrderTestdetailMapper.deleteProductionWorkOrderTestdetailById(id);
	}

	@Override
	public List<ProductionWorkOrderTestdetail> selectTestDetailByworkorderId(String workorderId) {
		// TODO Auto-generated method stub
		return productionWorkOrderTestdetailMapper.selectTestDetailByworkorderId(workorderId);
	}
}
