package com.productiontest.service.impl;

import java.util.List;
import com.productiontest.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.productiontest.mapper.UpdateOrderLogMapper;
import com.productiontest.domain.UpdateOrderLog;
import com.productiontest.service.IUpdateOrderLogService;

/**
 * 修改日志-订单、工单Service业务层处理
 *
 * @author cf
 * @date 2023-06-07
 */
@Service
public class UpdateOrderLogServiceImpl implements IUpdateOrderLogService
{
    @Autowired
    private UpdateOrderLogMapper updateOrderLogMapper;

    /**
     * 查询修改日志-订单、工单
     *
     * @param id 修改日志-订单、工单主键
     * @return 修改日志-订单、工单
     */
    @Override
    public UpdateOrderLog selectUpdateOrderLogById(String id)
    {
        return updateOrderLogMapper.selectUpdateOrderLogById(id);
    }

    /**
     * 查询修改日志-订单、工单列表
     *
     * @param updateOrderLog 修改日志-订单、工单
     * @return 修改日志-订单、工单
     */
    @Override
    public List<UpdateOrderLog> selectUpdateOrderLogList(UpdateOrderLog updateOrderLog)
    {
        return updateOrderLogMapper.selectUpdateOrderLogList(updateOrderLog);
    }

    /**
     * 新增修改日志-订单、工单
     *
     * @param updateOrderLog 修改日志-订单、工单
     * @return 结果
     */
    @Override
    public int insertUpdateOrderLog(UpdateOrderLog updateOrderLog)
    {
//        updateOrderLog.setCreateTime(DateUtils.getNowDate());
        return updateOrderLogMapper.insertUpdateOrderLog(updateOrderLog);
    }

    /**
     * 修改修改日志-订单、工单
     *
     * @param updateOrderLog 修改日志-订单、工单
     * @return 结果
     */
    @Override
    public int updateUpdateOrderLog(UpdateOrderLog updateOrderLog)
    {
//        updateOrderLog.setUpdateTime(DateUtils.getNowDate());
        return updateOrderLogMapper.updateUpdateOrderLog(updateOrderLog);
    }

    /**
     * 批量删除修改日志-订单、工单
     *
     * @param ids 需要删除的修改日志-订单、工单主键
     * @return 结果
     */
    @Override
    public int deleteUpdateOrderLogByIds(String[] ids)
    {
        return updateOrderLogMapper.deleteUpdateOrderLogByIds(ids);
    }

    /**
     * 删除修改日志-订单、工单信息
     *
     * @param id 修改日志-订单、工单主键
     * @return 结果
     */
    @Override
    public int deleteUpdateOrderLogById(String id)
    {
        return updateOrderLogMapper.deleteUpdateOrderLogById(id);
    }
}
