package com.productiontest.util;

import com.productiontest.common.config.RuoYiConfig;

import java.io.*;
import java.net.HttpURLConnection;
import java.net.URL;

public class CommonFileUtils {
    /**
     * 获取网络文件大小
     */
    public static long getFileLength(String downloadUrl) throws IOException {

        if (downloadUrl == null || "".equals(downloadUrl)) {
            return 0L;
        }
        URL url = new URL(downloadUrl);
        HttpURLConnection conn = null;
        try {
            conn = (HttpURLConnection) url.openConnection();
            conn.setRequestMethod("HEAD");
            conn.setRequestProperty("User-Agent", "Mozilla/5.0 (Windows 7; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/47.0.2526.73 Safari/537.36 YNoteCef/5.8.0.1 (Windows)");
            return (long) conn.getContentLength();
        } catch (IOException e) {
            return 0L;
        } finally {
            conn.disconnect();
        }
    }

    /***
     * 根据远程url文件地址下载到本地
     * @param fileUrl 远程url
     * @param fileName 文件名称
     */
    public static void downloadFileFromUrl(String fileUrl, String fileName) {
        try {
            URL url = new URL(fileUrl);
            HttpURLConnection urlConnection = (HttpURLConnection) url.openConnection();
            urlConnection.setConnectTimeout(6000);
            urlConnection.setReadTimeout(6000);
            if (urlConnection.getResponseCode() != HttpURLConnection.HTTP_OK) {
                throw new RuntimeException("文件读取失败");
            }
            InputStream inputStream = urlConnection.getInputStream();
            byte[] buffer = new byte[1024];
            int len;
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            while ((len = inputStream.read(buffer)) != -1) {
                byteArrayOutputStream.write(buffer, 0, len);
            }
            byteArrayOutputStream.close();
            File file = new File(RuoYiConfig.getUploadPath() + fileName);
            FileOutputStream fileOutputStream = new FileOutputStream(file);
            fileOutputStream.write(byteArrayOutputStream.toByteArray());
            fileOutputStream.close();
            inputStream.close();
            System.out.println("下载成功：" + RuoYiConfig.getUploadPath() + fileName);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
