package com.productiontest.util;

import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.InputStream;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

import org.apache.commons.codec.digest.DigestUtils;
import org.springframework.web.multipart.MultipartFile;

import com.qcloud.cos.COSClient;
import com.qcloud.cos.ClientConfig;
import com.qcloud.cos.auth.BasicCOSCredentials;
import com.qcloud.cos.auth.COSCredentials;
import com.qcloud.cos.model.ObjectMetadata;
import com.qcloud.cos.model.PutObjectRequest;
import com.qcloud.cos.model.PutObjectResult;
import com.qcloud.cos.model.StorageClass;
import com.qcloud.cos.region.Region;
import com.qcloud.cos.transfer.TransferManager;

public class QcloudUtil {
    /**
     * 设置固定常量
     */

    static String bucketName = "ecology-manage-1311597033"; // 桶的名称
    //static String key = "pet-1252596634/"; // 上传到云上路径
    static String region = "ap-nanjing";// 区域北京则 beijing
    //static String appId = "1252596634"; // APPID
    static COSCredentials cred = null;
    static String SecretId = "AKIDMqJeu7B2oV6a0OpWNBtldYO8zqnt7W5o";// SecretId
    // 是用于标识 API
    // 调用者的身份
    static String SecretKey = "xvoju4MpS3V3kZcedZp6UrKvloksxDTg";// SecretKey是用于加密签名字符串和服务器端验证签名字符串的密钥
    static TransferManager transferManager = null;
    static COSClient cosClient = null;
    static SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm ss");

    static {
        // 1 初始化用户身份信息(secretId, secretKey)

        cred = new BasicCOSCredentials(SecretId, SecretKey);

        // 2 设置bucket的区域,
        ClientConfig clientConfig = new ClientConfig(new Region(region));
        // 3 生成cos客户端
        cosClient = new COSClient(cred, clientConfig);
        // 指定要上传到 COS 上的路径
        ExecutorService threadPool = Executors.newFixedThreadPool(32);
        // 传入一个 threadpool, 若不传入线程池, 默认 TransferManager 中会生成一个单线程的线程池。
        transferManager = new TransferManager(cosClient, threadPool);
    }

    public static void main(String[] args) {


        // 如果未指定本地路径，则默认从示例程序所属项目对应本地路径中上传文件。
        String filePath = "D:\\productiontest-upload\\uploadPath\\upload\\device.xls";
        String fileName = "device.xls";
        String suffix = fileName.substring(fileName.lastIndexOf(".") + 1);
        // System.out.println(suffix);
        String key = new Date().getTime() + "." + suffix;
        try {

            PutObjectRequest putObjectRequest = new PutObjectRequest(bucketName, key, new File(filePath));
            // 设置 Content type, 默认是 application/octet-stream
            // 设置存储类型, 默认是标准(Standard), 低频(standard_ia)
            putObjectRequest.setStorageClass(StorageClass.Standard_IA);
            PutObjectResult putObjectResult = cosClient.putObject(putObjectRequest);

            String eTag = putObjectResult.getETag();
            System.out.println(eTag);
            // 关闭客户端

        } catch (Exception e) {
            e.printStackTrace();
        }
        String newPath = "https://" + bucketName + ".cos." + region + ".myqcloud.com/" + key;
        System.out.println(newPath);

    }

    /**
     * 删除
     */
    public static void delete(String url) {
        new Thread(new Runnable() {
            public void run() {
                // 指定要删除的 bucket 和路径
                try {

                    cosClient.deleteObject(bucketName, url.substring(url.lastIndexOf("/") + 1));
                    System.out.println("删除成功");
                } catch (Throwable tb) {
                    System.out.println("删除文件失败");
                    tb.printStackTrace();
                }
            }
        }).start();
    }


    public static Map<String, String> uploadResource(MultipartFile uploadFile) {
        Map<String, String> map = new HashMap<>();
        // 获取文件后缀
        String fileName = uploadFile.getOriginalFilename();
        map.put("name", fileName);
        try {
            // 判断文件大小（小文件上传建议不超过20M）
            byte[] bytes = uploadFile.getBytes();
            int length = bytes.length;

            // 获取文件流
            InputStream byteArrayInputStream = new ByteArrayInputStream(bytes);
            ObjectMetadata objectMetadata = new ObjectMetadata();
            // 从输入流上传必须制定content length, 不然http客户端可能会缓存全部数据，存在内存OOM的状况
            objectMetadata.setContentLength(length);
            // 默认下载时根据cos路径key的后缀返回响应的contenttype, 上传时设置contenttype会覆盖默认值
            // objectMetadata.setContentType("image/jpeg");

            PutObjectRequest putObjectRequest = new PutObjectRequest(bucketName, fileName, byteArrayInputStream,
                    objectMetadata);
            // 设置 Content type, 默认是 application/octet-stream
            putObjectRequest.setMetadata(objectMetadata);
            // 设置存储类型, 默认是标准(Standard), 低频(standard_ia)
            putObjectRequest.setStorageClass(StorageClass.Standard_IA);
            PutObjectResult putObjectResult = cosClient.putObject(putObjectRequest);

            String eTag = putObjectResult.getETag();
            System.out.println(eTag);
            // 关闭客户端

        } catch (Exception e) {
            e.printStackTrace();
        }
        // http://{buckname}-{appid}.cosgz.myqcloud.com/image/1545012027692.jpg
        cosClient.generatePresignedUrl(bucketName, fileName, new Date(new Date().getTime() + 5 * 60 * 10000));
        String newPath = "https://" + bucketName + ".cos." + region + ".myqcloud.com/" + fileName;
        // cosClient.shutdown();
        System.out.println(newPath);
        map.put("url", newPath);
        return map;
    }

    public static Map<String, String> uploadFileInput(MultipartFile uploadFile) {
        Map<String, String> map = new HashMap<>();
        // 获取文件后缀
        String fileName = uploadFile.getOriginalFilename();
        String suffix = fileName.substring(fileName.lastIndexOf(".") + 1);
        // System.out.println(suffix);
        String key = new Date().getTime() + "." + suffix;
        map.put("name", key);
        try {
            // 判断文件大小（小文件上传建议不超过20M）
            byte[] bytes = uploadFile.getBytes();
            String sign = DigestUtils.md5Hex(bytes);
            int length = bytes.length;
            map.put("sign", sign);
            // 获取文件流
            InputStream byteArrayInputStream = new ByteArrayInputStream(bytes);
            ObjectMetadata objectMetadata = new ObjectMetadata();
            // 从输入流上传必须制定content length, 不然http客户端可能会缓存全部数据，存在内存OOM的状况
            objectMetadata.setContentLength(length);
            // 默认下载时根据cos路径key的后缀返回响应的contenttype, 上传时设置contenttype会覆盖默认值
            // objectMetadata.setContentType("image/jpeg");

            PutObjectRequest putObjectRequest = new PutObjectRequest(bucketName, key, byteArrayInputStream,
                    objectMetadata);
            // 设置 Content type, 默认是 application/octet-stream
            putObjectRequest.setMetadata(objectMetadata);
            // 设置存储类型, 默认是标准(Standard), 低频(standard_ia)
            putObjectRequest.setStorageClass(StorageClass.Standard_IA);
            PutObjectResult putObjectResult = cosClient.putObject(putObjectRequest);

            String eTag = putObjectResult.getETag();
            System.out.println(eTag);
            // 关闭客户端
            map.put("code", "200");
        } catch (Exception e) {
            e.printStackTrace();
            map.put("code", "301");
            return map;
        }
        // http://{buckname}-{appid}.cosgz.myqcloud.com/image/1545012027692.jpg
        cosClient.generatePresignedUrl(bucketName, key, new Date(new Date().getTime() + 5 * 60 * 10000));
        String newPath = "https://" + bucketName + ".cos." + region + ".myqcloud.com/" + key;
        // cosClient.shutdown();
        System.out.println(newPath);
        map.put("url", newPath);

        return map;
    }

    /***
     * 本地文件上传到oss
     * @param localPath 本地文件上传
     * @return
     */
    public  Map<String, String> uploadLocalFile(String localPath) {
        Map<String, String> map = new HashMap<>();
        // 如果未指定本地路径，则默认从示例程序所属项目对应本地路径中上传文件。
        String suffix = localPath.substring(localPath.lastIndexOf(".") + 1);
        String key = new Date().getTime() + "." + suffix;
        map.put("name", key);
        try {

            PutObjectRequest putObjectRequest = new PutObjectRequest(bucketName, key, new File(localPath));
            // 设置 Content type, 默认是 application/octet-stream
            // 设置存储类型, 默认是标准(Standard), 低频(standard_ia)
            putObjectRequest.setStorageClass(StorageClass.Standard_IA);
            PutObjectResult putObjectResult = cosClient.putObject(putObjectRequest);

            String eTag = putObjectResult.getETag();
            System.out.println(eTag);
            // 关闭客户端
            map.put("code", "200");
        } catch (Exception e) {
            e.printStackTrace();
            map.put("code", "301");
        }
        String newPath = "https://" + bucketName + ".cos." + region + ".myqcloud.com/" + key;
        System.out.println(newPath);
        map.put("url", newPath);
        return map;
    }
}
