package com.productiontest.util;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.List;

import org.apache.poi.xssf.usermodel.XSSFCell;
import org.apache.poi.xssf.usermodel.XSSFRow;
import org.apache.poi.xssf.usermodel.XSSFSheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;

public class WriteToExcel {
	private static XSSFWorkbook workbook;
	private static XSSFSheet sheet;
	private static XSSFRow row;
	private static XSSFCell cell;
	private static File file;

	// 创建sheet页
	public  void setSheet(String sheetName) {
		workbook = new XSSFWorkbook();
		sheet = workbook.createSheet(sheetName);
	}

	// 创建表头
	public  void createHead(List<String> headList) {
		// 创建表头，也就是第一行
		
		row = sheet.createRow(0);
		for (int i = 0; i < headList.size(); i++) {
			cell = row.createCell(i);
			cell.setCellValue(headList.get(i));
		}
	}

	// 创建表内容
	public  void createContent(List<List<String>> contentList) {
		// 创建表内容，从第二行开始
		for (int i = 0; i < contentList.size(); i++) {
			row = sheet.createRow(i + 1);
			for (int j = 0; j < contentList.get(i).size(); j++) {
				row.createCell(j).setCellValue(contentList.get(i).get(j));
			}
		}
	}

	// 写入文件
	public  void writeToFile(String filePath) {
		file = new File(filePath);
		// 将文件保存到指定的位置
		try {
			FileOutputStream fos = new FileOutputStream(file);

			workbook.write(fos);
			System.out.println("写入成功");
			workbook.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}


}
