ALTER TABLE `production_order`
    ADD COLUMN `license_rule` TEXT NULL DEFAULT NULL COMMENT 'license规则' AFTER `firmware_version`;

ALTER TABLE `production_order`
    ADD COLUMN `argument_config` TEXT NULL DEFAULT NULL COMMENT 'TF卡参数配置' COLLATE 'utf8_bin' AFTER `device_config_md`;

ALTER TABLE `production_work_order`
    ADD COLUMN `license_file` TEXT NULL DEFAULT NULL COMMENT 'license文件' COLLATE 'utf8_bin' AFTER `rom_file_md`,
    ADD COLUMN `mark` VARCHAR(64) NULL DEFAULT NULL COMMENT '标志 用于上传license对应关系' COLLATE 'utf8_bin' AFTER `license_file`;

ALTER TABLE `license_data`
    ADD COLUMN `order_id` VARCHAR(64) NULL DEFAULT '' COMMENT '订单id' AFTER `push_status`,
    ADD COLUMN `workorder_id` VARCHAR(64) NULL DEFAULT '' COMMENT '工单id' AFTER `order_id`;

ALTER TABLE `license_data`
    CHANGE COLUMN `license` `license` VARCHAR(64) NOT NULL DEFAULT '' COMMENT 'license号' COLLATE 'utf8_general_ci' AFTER `id`;

ALTER TABLE `license_data`
    ADD INDEX `license` (`license`),
    ADD INDEX `mark` (`mark`),
    ADD INDEX `order_id` (`order_id`),
    ADD INDEX `workorder_id` (`workorder_id`),
    ADD INDEX `burn_status` (`burn_status`),
    ADD INDEX `del` (`del`);

DELETE FROM `data_dictionary` WHERE  `id`=216;

ALTER TABLE `production_work_order`
    ADD COLUMN `third_party_file` TEXT NULL DEFAULT NULL COMMENT '第三方授权文件' COLLATE 'utf8_bin' AFTER `mark`;

UPDATE `data_dictionary` SET `data_key`='已暂停' WHERE  `id`=236;
ALTER TABLE `production_work_order`
    ADD COLUMN `corps` VARCHAR(512) NULL DEFAULT NULL COMMENT '卡商' AFTER `mark`;

ALTER TABLE `license_data`
    ADD COLUMN `corps` VARCHAR(64) NULL DEFAULT '' COMMENT '卡商' AFTER `workorder_id`;

ALTER TABLE `license_data`
    ADD COLUMN `req_time` DATETIME NULL DEFAULT NULL COMMENT '申请时间' AFTER `status`,
    ADD COLUMN `burn_time` DATETIME NULL DEFAULT NULL COMMENT '烧录时间' AFTER `burn_status`;

ALTER TABLE `third_party_data`
    ADD COLUMN `workorder_id` VARCHAR(64) NULL DEFAULT '' COMMENT '工单id' COLLATE 'utf8_bin' AFTER `order_id`;

UPDATE `data_dictionary` SET `data_key`='未开始' WHERE  `id`=211;
UPDATE `data_dictionary` SET `data_key`='生成测试中' WHERE  `id`=212;
UPDATE `data_dictionary` SET `data_key`='生产完成' WHERE  `id`=213;
DELETE FROM `data_dictionary` WHERE  `id`=214;


-- 110 -> 278
update `aging_task` set dept_id=278 where dept_id=110;
update `firmware_config` set dept_id=278  where dept_id=110;
update `label_template` set dept_id=278  where dept_id=110;
update `license_data` set dept_id=278  where dept_id=110;
update `production_inventory` set dept_id=278  where dept_id=110;
update `production_order` set dept_id=278  where dept_id=110;
update `production_test_user` set dept_id=278  where dept_id=110;
update `production_work_order` set dept_id=278  where dept_id=110;
update `shipping_record` set dept_id=278  where dept_id=110;
update `updateorder_log` set dept_id=278  where dept_id=110;
update `sys_dept` set dept_id=278  where dept_id=110;
update `sys_role_dept` set dept_id=278  where dept_id=110;
update `sys_user` set dept_id=278  where dept_id=110;
update `updateorder_log` set dept_id=278  where dept_id=110;

-- 116 -> 70
update `aging_task` set dept_id=70 where dept_id=116;
update `firmware_config` set dept_id=70  where dept_id=116;
update `label_template` set dept_id=70  where dept_id=116;
update `license_data` set dept_id=70  where dept_id=116;
update `production_inventory` set dept_id=70  where dept_id=116;
update `production_order` set dept_id=70  where dept_id=116;
update `production_test_user` set dept_id=70  where dept_id=116;
update `production_work_order` set dept_id=70  where dept_id=116;
update `shipping_record` set dept_id=70  where dept_id=116;
update `updateorder_log` set dept_id=70  where dept_id=116;
update `sys_dept` set dept_id=70  where dept_id=116;
update `sys_role_dept` set dept_id=70  where dept_id=116;
update `sys_user` set dept_id=70  where dept_id=116;
update `updateorder_log` set dept_id=70  where dept_id=116;

-- 118 -> 153
update `aging_task` set dept_id=153 where dept_id=118;
update `firmware_config` set dept_id=153  where dept_id=118;
update `label_template` set dept_id=153  where dept_id=118;
update `license_data` set dept_id=153  where dept_id=118;
update `production_inventory` set dept_id=153  where dept_id=118;
update `production_order` set dept_id=153  where dept_id=118;
update `production_test_user` set dept_id=153  where dept_id=118;
update `production_work_order` set dept_id=153  where dept_id=118;
update `shipping_record` set dept_id=153  where dept_id=118;
update `updateorder_log` set dept_id=153  where dept_id=118;
update `sys_dept` set dept_id=153  where dept_id=118;
update `sys_role_dept` set dept_id=153  where dept_id=118;
update `sys_user` set dept_id=153  where dept_id=118;
update `updateorder_log` set dept_id=153  where dept_id=118;

-- 119 -> 709
update `aging_task` set dept_id=709 where dept_id=119;
update `firmware_config` set dept_id=709  where dept_id=119;
update `label_template` set dept_id=709  where dept_id=119;
update `license_data` set dept_id=709  where dept_id=119;
update `production_inventory` set dept_id=709  where dept_id=119;
update `production_order` set dept_id=709  where dept_id=119;
update `production_test_user` set dept_id=709  where dept_id=119;
update `production_work_order` set dept_id=709  where dept_id=119;
update `shipping_record` set dept_id=709  where dept_id=119;
update `updateorder_log` set dept_id=709  where dept_id=119;
update `sys_dept` set dept_id=709  where dept_id=119;
update `sys_role_dept` set dept_id=709  where dept_id=119;
update `sys_user` set dept_id=709  where dept_id=119;
update `updateorder_log` set dept_id=709  where dept_id=119;

-- 121 -> 737
update `aging_task` set dept_id=737 where dept_id=121;
update `firmware_config` set dept_id=737  where dept_id=121;
update `label_template` set dept_id=737  where dept_id=121;
update `license_data` set dept_id=737  where dept_id=121;
update `production_inventory` set dept_id=737  where dept_id=121;
update `production_order` set dept_id=737  where dept_id=121;
update `production_test_user` set dept_id=737  where dept_id=121;
update `production_work_order` set dept_id=737  where dept_id=121;
update `shipping_record` set dept_id=737  where dept_id=121;
update `updateorder_log` set dept_id=737  where dept_id=121;
update `sys_dept` set dept_id=737  where dept_id=121;
update `sys_role_dept` set dept_id=737  where dept_id=121;
update `sys_user` set dept_id=737  where dept_id=121;
update `updateorder_log` set dept_id=737  where dept_id=121;

-- 122 -> 277
update `aging_task` set dept_id=277 where dept_id=122;
update `firmware_config` set dept_id=277  where dept_id=122;
update `label_template` set dept_id=277  where dept_id=122;
update `license_data` set dept_id=277  where dept_id=122;
update `production_inventory` set dept_id=277  where dept_id=122;
update `production_order` set dept_id=277  where dept_id=122;
update `production_test_user` set dept_id=277  where dept_id=122;
update `production_work_order` set dept_id=277  where dept_id=122;
update `shipping_record` set dept_id=277  where dept_id=122;
update `updateorder_log` set dept_id=277  where dept_id=122;
update `sys_dept` set dept_id=277  where dept_id=122;
update `sys_role_dept` set dept_id=277  where dept_id=122;
update `sys_user` set dept_id=277  where dept_id=122;
update `updateorder_log` set dept_id=277  where dept_id=122;

-- 123 -> 142
update `aging_task` set dept_id=142 where dept_id=123;
update `firmware_config` set dept_id=142  where dept_id=123;
update `label_template` set dept_id=142  where dept_id=123;
update `license_data` set dept_id=142  where dept_id=123;
update `production_inventory` set dept_id=142  where dept_id=123;
update `production_order` set dept_id=142  where dept_id=123;
update `production_test_user` set dept_id=142  where dept_id=123;
update `production_work_order` set dept_id=142  where dept_id=123;
update `shipping_record` set dept_id=142  where dept_id=123;
update `updateorder_log` set dept_id=142  where dept_id=123;
update `sys_dept` set dept_id=142  where dept_id=123;
update `sys_role_dept` set dept_id=142  where dept_id=123;
update `sys_user` set dept_id=142  where dept_id=123;
update `updateorder_log` set dept_id=142  where dept_id=123;

-- 124 -> 731
update `aging_task` set dept_id=731 where dept_id=124;
update `firmware_config` set dept_id=731  where dept_id=124;
update `label_template` set dept_id=731  where dept_id=124;
update `license_data` set dept_id=731  where dept_id=124;
update `production_inventory` set dept_id=731  where dept_id=124;
update `production_order` set dept_id=731  where dept_id=124;
update `production_test_user` set dept_id=731  where dept_id=124;
update `production_work_order` set dept_id=731  where dept_id=124;
update `shipping_record` set dept_id=731  where dept_id=124;
update `updateorder_log` set dept_id=731  where dept_id=124;
update `sys_dept` set dept_id=731  where dept_id=124;
update `sys_role_dept` set dept_id=731  where dept_id=124;
update `sys_user` set dept_id=731  where dept_id=124;
update `updateorder_log` set dept_id=731  where dept_id=124;

-- 108 -> 4
update `aging_task` set dept_id=4 where dept_id=108;
update `firmware_config` set dept_id=4  where dept_id=108;
update `label_template` set dept_id=4  where dept_id=108;
update `license_data` set dept_id=4  where dept_id=108;
update `production_inventory` set dept_id=4  where dept_id=108;
update `production_order` set dept_id=4  where dept_id=108;
update `production_test_user` set dept_id=4  where dept_id=108;
update `production_work_order` set dept_id=4  where dept_id=108;
update `shipping_record` set dept_id=4  where dept_id=108;
update `updateorder_log` set dept_id=4  where dept_id=108;
update `sys_dept` set dept_id=4  where dept_id=108;
update `sys_role_dept` set dept_id=4  where dept_id=108;
update `sys_user` set dept_id=4  where dept_id=108;
update `updateorder_log` set dept_id=4  where dept_id=108;