/*
 Navicat Premium Data Transfer

 Source Server         : 本地数据库
 Source Server Type    : MySQL
 Source Server Version : 80027
 Source Host           : 127.0.0.1:3306
 Source Schema         : qianxin

 Target Server Type    : MySQL
 Target Server Version : 80027
 File Encoding         : 65001

 Date: 11/04/2023 18:01:02
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for company_notice_tpl
-- ----------------------------
DROP TABLE IF EXISTS `company_notice_tpl`;
CREATE TABLE `company_notice_tpl`  (
  `tpl_code` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '',
  `tpl_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '模板名称',
  `lang` bigint(0) NOT NULL DEFAULT 0 COMMENT '语言',
  `type_name` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '类型名称',
  `title` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '标题',
  `ctx` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '内容',
  `remark` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT '',
  `create_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '更新时间',
  PRIMARY KEY (`tpl_code`) USING BTREE,
  INDEX `lang`(`lang`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '通知模板' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of company_notice_tpl
-- ----------------------------
INSERT INTO `company_notice_tpl` VALUES ('account_recharge_success', '账号充值订单', 1, '订单通知', '账号充值订单', '您好，您的账号已成功充值{num}元，充值记录可在财务概览-充值明细中查看（订单号：{orderno}）', '', '', '', '2022-11-23 17:42:23', '2022-11-25 14:26:07');
INSERT INTO `company_notice_tpl` VALUES ('corp_remittance_nopass', '对公汇款审核未通过', 1, '对公汇款审核', '审核未通过', '抱歉，您的对公汇款订单（订单号：{orderno}）已被拒绝，原因：{reason}', '', '', '', '2022-11-23 17:42:23', '2022-11-25 14:24:03');
INSERT INTO `company_notice_tpl` VALUES ('corp_remittance_pass', '对公汇款审核通过', 1, '对公汇款审核', '审核通过', '您好，您的对公汇款订单（订单号：{orderno}）已确认到账，充值记录可在财务概览-充值明细中查看（订单号：{orderno}）', '', '', '', '2022-11-23 17:42:23', '2022-11-25 14:23:17');
INSERT INTO `company_notice_tpl` VALUES ('corp_role_nopass', '企业角色审核未通过', 1, '企业角色审核', '审核未通过', '抱歉，您申请的企业角色（{rolename}）审核未通过，原因：{reason}', '', '', '', '2022-11-23 17:42:23', '2022-11-25 14:14:53');
INSERT INTO `company_notice_tpl` VALUES ('corp_role_pass', '企业角色审核通过', 1, '企业角色审核', '审核通过', '恭喜，您申请的企业角色（{rolename}）已审核通过', '', '', '', '2022-11-23 17:42:23', '2022-11-25 14:14:09');
INSERT INTO `company_notice_tpl` VALUES ('license_order_shipping', '订单已发货', 1, '订单通知', 'licence订单', '您好，您的订单（订单号：{orderno}）,平台已发货，您可前往订单管理页面查看详情', '', '', '', '2022-11-23 17:42:23', '2023-01-05 11:09:33');
INSERT INTO `company_notice_tpl` VALUES ('prodpublish_nopass', '产品发布审核未通过', 1, '产品发布审核', '审核未通过', '抱歉，您的方案产品/整机产品（{prodname}）发布失败，原因：{reason}', '', '', '', '2022-11-23 17:42:23', '2022-11-25 14:18:09');
INSERT INTO `company_notice_tpl` VALUES ('prodpublish_pass', '产品发布审核通过', 1, '产品发布审核', '审核通过', '恭喜，您的方案产品/整机产品（{prodname}）已发布成功', '', '', '', '2022-11-23 17:42:23', '2022-11-25 14:18:40');
INSERT INTO `company_notice_tpl` VALUES ('prod_nopass', '产品审核未通过', 1, '产品审核', '审核未通过', '抱歉，您创建的芯片产品/方案产品/整机产品/品牌产品（{prodname}）审核未通过，原因：{reason}', '', '', '', '2022-11-23 17:42:23', '2022-11-25 14:15:45');
INSERT INTO `company_notice_tpl` VALUES ('prod_pass', '产品审核通过', 1, '产品审核', '审核通过', '恭喜，您创建的芯片产品/方案产品/整机产品/品牌产品（{prodname}）已审核通过', '', '', '', '2022-11-23 17:42:23', '2022-11-25 14:16:02');
INSERT INTO `company_notice_tpl` VALUES ('withdrawals_success', '余额提现到账', 1, '订单通知', '余额提现到账', '您好，您的账号已成功提现{num}元，充值记录可在财务概览-提现记录中查看（订单号：{orderno}）', '', '', '', '2022-11-23 17:42:23', '2022-11-25 14:26:07');
INSERT INTO `company_notice_tpl` VALUES ('withdrawal_nopass', '提现审核未通过', 1, '提现审核', '审核未通过', '抱歉，您的提现申请（订单号：{orderno}）审核失败，原因：{reason}', '', '', '', '2022-11-23 17:42:23', '2022-11-25 14:20:40');
INSERT INTO `company_notice_tpl` VALUES ('withdrawal_pass', '提现审核通过', 1, '提现审核', '审核通过', '恭喜，您的提现申请（订单号：{orderno}）已审核通过，平台会尽快打款到您的账户，请留意账户余额变化', '', '', '', '2022-11-23 17:42:23', '2022-11-25 14:20:31');

SET FOREIGN_KEY_CHECKS = 1;
