/*
 Navicat Premium Data Transfer

 Source Server         : 43.137.37.17
 Source Server Type    : MySQL
 Source Server Version : 80019
 Source Host           : 43.137.37.17:3306
 Source Schema         : production_test

 Target Server Type    : MySQL
 Target Server Version : 80019
 File Encoding         : 65001

 Date: 14/03/2023 15:06:16
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for production_order
-- ----------------------------
DROP TABLE IF EXISTS `production_order`;
CREATE TABLE `production_order`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `order_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '订单名称',
  `order_no` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '订单编号',
  `product_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '产品名称',
  `company` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '企业名称',
  `communication_mode` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '产品通讯方式',
  `license_file` text CHARACTER SET utf8 COLLATE utf8_bin NULL COMMENT 'license文件',
  `rom_file` text CHARACTER SET utf8 COLLATE utf8_bin NULL COMMENT '上传固件',
  `template_id` bigint(0) NULL DEFAULT NULL COMMENT '标签模板id',
  `production_quantity` bigint(0) NULL DEFAULT NULL COMMENT '生产数量',
  `delivery_time` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '交货日期',
  `remark` text CHARACTER SET utf8 COLLATE utf8_bin NULL COMMENT '备注',
  `accessory` text CHARACTER SET utf8 COLLATE utf8_bin NULL COMMENT '附件',
  `test_item` text CHARACTER SET utf8 COLLATE utf8_bin NULL COMMENT '测试项',
  `order_status` bigint(0) NULL DEFAULT 0 COMMENT '订单状态 0未安排生产 1已安排生产 2生产中 3生产完成',
  `production_progress` bigint(0) NULL DEFAULT NULL COMMENT '生产进度',
  `company_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '企业id',
  `appid` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT 'appid',
  `firmware_version` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '固件版本',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `dept_id` bigint(0) NULL DEFAULT NULL COMMENT '所属企业',
  `mark` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '标志 用于上传license对应关系',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 118 CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '订单管理' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of production_order
-- ----------------------------
INSERT INTO `production_order` VALUES (122, '测试订单001', 'VQO0IUAVN7PERZT', '整机001', '鹤梦', '227,228,229', '{\"name\":\"1678773462298.xls\",\"url\":\"https://ecology-manage-1311597033.cos.ap-nanjing.myqcloud.com/1678773462298.xls\",\"fileName\":\"1678773462298.xls\"}', '', 19, 10, '', '', '', '215,216,217,220,221,224', 3, 0, '007', '007', '1.1', NULL, 106, '313206147867052');
INSERT INTO `production_order` VALUES (123, '测试订单002（licence不足）', 'MDNK1INI1LP377O', '整机002', '鹤梦', '227,229', '{\"name\":\"1678774992334.xls\",\"url\":\"https://ecology-manage-1311597033.cos.ap-nanjing.myqcloud.com/1678774992334.xls\",\"fileName\":\"1678774992334.xls\",\"uid\":1678775131391,\"status\":\"success\"}', '', NULL, 2, '', '该订单实际只有1个licence', '', '215,216,217,220,221,224,222', 2, 0, '007', '007', NULL, NULL, 106, '321347945760217');
INSERT INTO `production_order` VALUES (124, '测试订单003', 'GCCELI5MEXLWA62', '整机003', '南京', '227', '{\"name\":\"1678776736231.xls\",\"url\":\"https://ecology-manage-1311597033.cos.ap-nanjing.myqcloud.com/1678776736231.xls\",\"fileName\":\"1678776736231.xls\"}', '', 17, 2, '', '', '', '215,216,217,220,221,224,222', 1, 0, '001', '001', NULL, NULL, 106, '021299439117527');

SET FOREIGN_KEY_CHECKS = 1;
